<?php
$quote = get_post_meta($post->ID, THEME_NAME . '_quote_message',true);
$quote_author = get_post_meta($post->ID, THEME_NAME . '_quote_author',true);
$video_meta = get_post_meta($post->ID , THEME_NAME . '_video_embed', true);
$post_class = 'blog-post ';
if($video_meta)
	$post_class .= 'video-post';
elseif (has_post_thumbnail( )) 
	$post_class .= 'image-post';
else
	$post_class .= 'simple-post';
?>
<div <?php post_class( $post_class ); ?> id="post-<?php the_ID( );?>">
	<?php if(!empty($quote) || !empty($quote_author)): ?>
		<div class="post-cover">
			<blockquote class="custom-blockquote">
				<p><?php tt_print( $quote ) ?></p>
				<span class="author"><?php tt_print( $quote_author ) ?></span>
			</blockquote>
		</div>
	<?php endif; ?>
	<?php if($video_meta || has_post_thumbnail( )): ?>
		<div class="row">
			<div class="col-sm-16">
		<?php endif; ?>
				<div class="post-header">
					<p class="meta"><span><?php the_time(get_option('time_formats','M j / ') ) ?></span><?php _ex('Posted by ','Blog Archive','defender') ?><?php echo get_the_author_link(); ?></p>
					<span class="comments"><?php comments_number( ) ?></span>
					<h2 class="title"><a href="<?php the_permalink( ) ?>"><?php the_title( ) ?></a></h2>
				</div>

				<div class="post-body">
					<?php the_excerpt(' ')?>
					<a href="<?php the_permalink( ) ?>" class="button theme-button-3"><?php _ex('Read more','Blog Archive','defender') ?></a>
				</div>
		<?php if($video_meta || has_post_thumbnail( )): ?>
			</div>
		<?php endif; ?>
		<?php if(has_post_thumbnail( ) || $video_meta) : ?>
			<div class="col-sm-8">
				<div class="post-thumbnail">
					<div class="image">
						<?php 
						if($video_meta){
							if(!strpos($video_meta, 'iframe')){
								$featured_element = apply_filters( 'the_content' ,$video_meta);
							}else{
								$featured_element = $video_meta;
							}
						}else{
							if(has_post_thumbnail( )){
								$featured_element = get_the_post_thumbnail( get_the_ID(), 'medium' );
							}
						};
						if($video_meta == ''): ?>
							<div class="hover">
								<a href="<?php the_permalink() ?>"></a>
							</div>
						<?php endif;
						print $featured_element ?>
					</div>
				</div>
			</div>
		<?php endif; ?>
	<?php if($video_meta || has_post_thumbnail( )): ?>	
	</div>
<?php endif; ?>
</div>