<?php 
$video_meta = get_post_meta($post->ID , THEME_NAME . '_video_embed', true);
$post_class = 'blog-post ';
if($video_meta)
	$post_class .= 'video-post';
elseif (has_post_thumbnail( )) 
	$post_class .= 'image-post';
else
	$post_class .= 'simple-post';
 ?>
<div class="blog-content less-padding-bottom">
	<?php get_template_part('blog','news'); ?>
	<!-- Start Blog Posts -->
	<div <?php post_class( $post_class ); ?> id="post-<?php the_ID( );?>">
		<div class="post-header">
			<p class="meta"><span><?php the_time(get_option('time_formats','M j / ') ) ?></span><?php _ex('Posted by ','Blog Archive','defender') ?><?php echo get_the_author_link(); ?></p>
			<span class="comments"><?php comments_number( ); ?></span>
			<h2 class="title"><?php the_title( ) ?></h2>
		</div>
		<?php if(has_post_thumbnail( ) || $video_meta) : ?>
			<div class="post-cover has-type">
				<div class="image">
					<?php 
					if($video_meta){
						if(!strpos($video_meta, 'iframe')){
							$featured_element = apply_filters( 'the_content' ,$video_meta);
						}else{
							$featured_element = $video_meta;
						}
					}else{
						if(has_post_thumbnail( )){
							$featured_element = get_the_post_thumbnail( get_the_ID(), 'original' );
						}
					};
					print $featured_element ?>                               
				</div>
			</div>
		<?php endif; ?>
		<div class="post-body has-border">
			<?php the_content( ) ?>
			<div class="row pagination-links">
				<div class="col-xs-12">
					<?php wp_link_pages(array(
						'before'           => '<ul class="page-numbers"><li>',
						'after'            => '</li></ul>',
						'link_before'      => '',
						'link_after'       => '',
						'next_or_number'   => 'number',
						'separator'        => '</li><li>',
						'nextpagelink'     => __( 'Next page','defender' ),
						'previouspagelink' => __( 'Previous page','defender' ),
						'pagelink'         => '%',
						'echo'             => 1
					)); ?>
				</div>
			</div>
			<?php tt_share('post') ?>
			<div class="post-meta">
				<p class="tag"><?php _ex('Tags: ','Single Post Page','defender');the_tags('',',','' ); ?></p>
				<p class="category"><?php _ex('Categories: ','Single Post page','defender'); the_category( ', ' ); ?></p>				
			</div>
		</div>
		<?php comments_template( ); ?>
		<?php if ( _go('show_related_posts')):
			get_template_part('related','posts');
		endif; ?>
	</div>
</div>