<?php
define('IMAGES', get_template_directory_uri() . '/images/');
/***********************************************************************************************/
/*  Tesla Framework */
/***********************************************************************************************/
function tt_plugin_deactivation() {
    require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    deactivate_plugins( '/tesla-framework/tesla-framework-plugin.php' );
}

function tt_deactivate_old_plugin() {
    require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    deactivate_plugins( '/tesla-framework-plugin/tesla_framework.php' );
}
add_action('init','tt_deactivate_old_plugin');

require_once(get_template_directory() . '/tesla_framework/tesla.php');

/***********************************************************************************************/
/*  Register Plugins */
/***********************************************************************************************/

if ( is_admin() && current_user_can( 'install_themes' ) ) {
	require_once( get_template_directory() . '/plugins/tgm-plugin-activation/register-plugins.php' );
}

/***********************************************************************************************/
/* Google fonts + Fonts changer */
/* Custom JS */
/***********************************************************************************************/
add_action( 'tt_fw_init' , 'tt_fw_functions' );
function tt_fw_functions() {

    if(tt_get_plugin_version('tesla-framework') < 1.2)
        add_action('admin_init','tt_plugin_deactivation');

	TT_ENQUEUE::$gfont_changer = array(
			_go('logo_text_font'),
			_go('main_content_text_font'),
			_go('sidebar_text_font'),
			_go('menu_text_font')
		);
	TT_ENQUEUE::$base_gfonts = array('Alegreya:400italic,700italic,900italic,400,700,900');

	if(class_exists('TT_Contact_Form_Builder'))
	TT_Contact_Form_Builder::add_form_locations(array(
		'attorney_single'	=>	'Single Attorney page',
		'shortcode_section'	=>	'Shortcode Content',
	));

    //shortcodes
    require_once 'shortcodes.php';
	//color changers
	require_once get_template_directory() . '/theme_includes/color_changers.php';
}

add_action('wp_footer', 'tesla_custom_js', 99);
function tesla_custom_js() {
	?>
	<script type="text/javascript"><?php echo esc_js(_eo('custom_js')) ?></script>
	<?php
}
/***********************************************************************************************/
/* Add Theme Support */
/***********************************************************************************************/
function tt_slug_setup() {
        add_theme_support( 'title-tag' );
        add_theme_support( 'html5', array(
            'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
        ));
    }
    add_action( 'after_setup_theme', 'tt_slug_setup' );

    if( ! function_exists( '_wp_render_title_tag' ) ) {
        function tt_slug_render_title() {
        ?>
        <title><?php wp_title( '|', true, 'right' ); ?></title>
    <?php
        }
    add_action( 'wp_head', 'tt_slug_render_title' );
}

/***********************************************************************************************/
/* Get Receiver Mail */
/***********************************************************************************************/

function get_receiver_mail(){
	$meta_values = get_post_meta( get_the_ID(),'slide_options', true);
	return $meta_values['e-mail'] ;
}

/***********************************************************************************************/
/* Add Menus */
/***********************************************************************************************/

function tt_register_menus($return = false){
    $tt_menus = array('main_menu' => _x('Main menu', 'dashboard','defender'));
    if($return)
        return array('main_menu' => 'Main Menu');
    register_nav_menus($tt_menus);
}
add_action('init', 'tt_register_menus');

/***********************************************************************************************/
/* Share Function */
/***********************************************************************************************/

if(!function_exists('tt_share')){
	function tt_share($f_location){
		$share_this = _go('share_this');
		if(($f_location == 'post')||($f_location == 'footer')){ $tag[0] = '<li>'; $tag[1] = '</li>'; } else {$tag[0] = ''; $tag[1] = ''; };        
		if(isset($share_this) && is_array($share_this)): ?>
			<ul class="<?php echo 'post' == $f_location? 'share-block' : 'social-block' ?>">
			<?php foreach($share_this as $val):
				if($val === 'googleplus') $val = 'google-plus';                    
				switch ($val) {
					case 'facebook': ?>
							<?php print $tag[0] ?>
								<a class="facebook" onClick="window.open('http://www.facebook.com/sharer.php?s=100&amp;t=<?php urlencode(get_the_title()); ?>&amp;u=<?php echo urlencode(get_the_permalink()) ?>','sharer','toolbar=0,status=0,width=548,height=325');" href="javascript: void(0)"><i class="fa fa-<?php echo esc_attr($val );?>"></i></a>
							<?php print $tag[1] ?>
						<?php break; ?>
					<?php case 'twitter': ?>
							<?php print $tag[0] ?>
								<a class="twitter" onClick="window.open('http://twitter.com/intent/tweet?url=<?php echo urlencode(get_the_permalink()) ?>&amp;text=<?php urlencode(get_the_title()); ?>','sharer','toolbar=0,status=0,width=548,height=325');"><i class="fa fa-<?php echo esc_attr($val );?>"></i></a>
							<?php print $tag[1] ?>
						<?php break; ?>
					<?php case 'google-plus': ?>
							<?php print $tag[0] ?>
								<a class="google-plus" onClick="window.open('https://plus.google.com/share?url=<?php echo urlencode(get_the_permalink()) ?>','sharer','toolbar=0,status=0,width=548,height=325');"><i class="fa fa-<?php echo esc_attr($val );?>"></i></a>
							<?php print $tag[1] ?>
						<?php break; ?>
					<?php case 'pinterest': ?>
							<?php print $tag[0] ?>
								<a class="pinterest" onClick="window.open('https://www.pinterest.com/pin/create/button/?url=<?php echo urlencode(get_the_permalink()) ?>','sharer','toolbar=0,status=0,width=748,height=325');"><i class="fa fa-<?php echo esc_attr($val );?>"></i></a>
							<?php print $tag[1] ?>
						<?php break; ?>
					<?php case 'linkedin': ?>
							<?php print $tag[0] ?>
								<a class="linkedin" onClick="window.open('http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo urlencode(get_the_permalink()) ?>','sharer','toolbar=0,status=0,width=548,height=325');"><i class="fa fa-<?php echo esc_attr($val );?>"></i></a>
							<?php print $tag[1] ?>
							<?php break; ?>
					<?php case 'vkontakte': ?>
							<?php print $tag[0] ?>
								<a class="vkontakte" onClick="window.open('http://www.vkontakte.ru/share.php?url=<?php echo urlencode(get_the_permalink()) ?>','sharer','toolbar=0,status=0,width=548,height=325');"><i class="fa fa-vk"></i></a>
							<?php print $tag[1] ?>
						<?php break; ?>
					
					<?php default:
						echo 'No Share';
						break;
				} ?>
			<?php endforeach; ?>
			</ul>
		<?php endif;
	}
}

/***********************************************************************************************/
/* Comments */
/***********************************************************************************************/
 
function tt_custom_comments( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	extract($args, EXTR_SKIP);

	if ( 'div' == $args['style'] ) {
		$tag = 'div';
		$add_below = 'comment';
	} else {
		$tag = 'li';
		$add_below = 'div-comment';
	}
	?>

	<<?php print $tag ?> id="comment-<?php comment_ID() ?>" class="comment">
			<div class="image">
			<?php if ($args['avatar_size'] != 0)
				echo get_avatar( $comment, $args['avatar_size'], false,'avatar image' ); ?>
			</div>
			<h4 class="user"><?php echo get_comment_author_link() ?></h4>
			<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'],'reply_text'=> __('Reply','defender') ))) ?>
			<p class="message"><?php echo get_comment_time('M j, Y \a\t g:i a') ?></p>
			<p class="message"><?php comment_text() ?></p>
			<?php if ($comment->comment_approved == '0') : ?>
				<em class="comment-awaiting-moderation">
					<?php _e('Your comment is awaiting moderation.','defender') ?>
				</em>
				<br />
			<?php endif;
			edit_comment_link(__('(Edit)','defender'),'  ','' );	
			if ( 'div' != $args['style'] ) : ?>
				<div id="div-comment-<?php comment_ID() ?>" <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?>></div>
			<?php endif;	
}

/***********************************************************************************************/
/* Add Sidebar Support */
/***********************************************************************************************/

function tt_register_sidebars(){
	if (function_exists('register_sidebar')) {
		register_sidebar(
			array(
				'name'           => __('Blog Sidebar', 'defender'),
				'id'             => 'blog',
				'description'    => __('Blog Sidebar Area', 'defender'),
				'before_widget'  => '<div class="col-xs-24 col-sm-12 col-md-24 isotope-item"><div class="widget %2$s">',
				'after_widget'   => '</div></div>',
				'before_title'   => '<h3 class="widget-title">',
				'after_title'    => '</h3>'
			)
		);
		register_sidebar(
			array(
				'name'           => __('Footer', 'defender'),
				'id'             => 'footer',
				'description'    => __('Footer Area', 'defender'),
				'before_widget'  => '<div class="col-md-6 col-sm-12"><div class="footer-widget %2$s">',
				'after_widget'   => '</div></div>',
				'before_title'   => '<h2 class="widget-caption">',
				'after_title'    => '</h2>'
			)
		);
	}
}
add_action('widgets_init','tt_register_sidebars');

/***********************************************************************************************/
/* ESC Attribute Function */
/***********************************************************************************************/

function tt_print( $param ){
	echo esc_attr( $param );
}

/***********************************************************************************************/
/* Title Length */
/***********************************************************************************************/

function tt_title_max_charlength($charlength) {
	$title = get_the_title();
	$charlength++;

	if ( mb_strlen( $title ) > $charlength ) {
		$subex = mb_substr( $title, 0, $charlength - 3 );
		$exwords = explode( ' ', $subex );
		$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
		if ( $excut < 0 ) {
			echo mb_substr( $subex, 0, $excut );
		} else {
			print $subex;
		}
		echo '...';
	} else {
		print $title;
	}
}

/***********************************************************************************************/
/* Excerpt Length */
/***********************************************************************************************/

function tt_excerpt_max_charlength($charlength, $excerpt) {
	if ( mb_strlen( $excerpt ) > $charlength ) {
		$subex = mb_substr( $excerpt, 0, $charlength - 5 );
		$exwords = explode( ' ', $subex );
		$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
		if ( $excut < 0 ) {
			echo mb_substr( $subex, 0, $excut );
		} else {
			print $subex;
		}
		echo '(...)';
	} else {
		print $excerpt;
	}
}

/***********************************************************************************************/
/*  Load Content
/***********************************************************************************************/

add_action('wp_ajax_nopriv_load_content','tt_load_content');
add_action('wp_ajax_load_content','tt_load_content');
function tt_load_content(){

	$output = '';
	$category = $_POST['category'];
	$page = $_POST['page'];
	$posts_per_page = $_POST['posts_per_page'];
	// WP_Query arguments
	$args = array (
		'post_type'             => 'testimonials',
		'post_status'           => 'publish',
		'paged'                 => $page,
		'posts_per_page'        => $posts_per_page,
	);	
	if(!empty($category)){
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'testimonials_tax',
				'field' => 'slug',
				'terms' => explode(' ',$category),
				'operator' => 'IN'
			)
		);
	}

	// The Query
	$query_t = new WP_Query( $args );	
	ob_start();
	if($query_t->have_posts()):
		while($query_t->have_posts()): $query_t->the_post(); 
			$meta = get_post_meta( get_the_id( ),'slide_options', true )?>
			<div class="col-xs-12 col-md-8 col-lg-6 isotope-item">
				<div class="testimonial-block">
					<div class="block-header">
						<h2><?php the_title( ) ?></h2>						
						<p><?php tt_print($meta['position']) ?></p>
						<?php if(has_post_thumbnail( )): ?>
							<div class="image">
								<?php the_post_thumbnail('medium'); ?>
							</div>
						<?php endif; ?>
					</div>
					<div class="block-body">
						<p><?php the_content( ) ?></p>
					</div>
				</div>
			</div>
		<?php endwhile;
	endif;	
	$output = ob_get_contents();
	ob_end_clean();
	wp_reset_query();
	die($output);
}