<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="description" content="<?php bloginfo('description'); ?>">
	<!-- Mobile Specific Meta -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	 <!-- Pingbacks -->
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
	<?php echo "<script type='text/javascript' async >var TemplateDir='".TT_THEME_URI."'</script>" ?>
	<!-- Favicon -->
	<?php if(_go('favicon')): ?>
		<link rel="shortcut icon" href="<?php _eo('favicon') ?>">
	<?php endif; ?>	
	<script type='text/javascript'  async >
		var preloader = <?php echo _go('show_preloader') !== 'no' ? 'true' : 'false' ?>
	</script>
	<?php wp_head(); ?>
</head>
<?php
$meta = get_post_meta( get_the_id(),'slide_options', true );
$deprecated_calendar = !empty($meta['calendar']) ? $meta['calendar'] : '';
$calendar = get_post_meta($post->ID, THEME_NAME . '_booked_sc', true);
$calendar = !empty($calendar) ? $calendar : $deprecated_calendar;
$admin_calendar = _go('admin_calendar') ?>
<body <?php body_class( ); ?>>
	<?php if(_go('show_preloader') !== 'no'): ?>
		<!-- Preloader -->
		<div id="preloader">
			<div class="progress-bar-wrapper">
				<div class="actual-progress"></div>
			</div>
		</div>
	<?php endif ?>
	<?php if(_go('show_calendar') || !empty($admin_calendar)): ?>
		<!-- Make appointment popup for admin-->
		<div class="appointment-popup-2">
			<div class="container">
				<i class="icon close-popup"></i>
				<div class="row">
					<div class="popup-wrapper col-md-21 col-lg-19">
						<div class="popup-container user"><?php echo do_shortcode( $admin_calendar ) ?></div>
					</div>
				</div>
			</div>
		</div>
	<?php endif ?>
	<?php if(!empty($calendar )): ?>
		<!-- Make appointment popup for attorney-->
		<div class="appointment-popup">
			<div class="container">
				<i class="icon close-popup"></i>
				<div class="row">
					<div class="popup-wrapper col-md-21 col-lg-19">
						<div class="popup-container attorney"><?php echo do_shortcode( $calendar ) ?></div>
					</div>
				</div>
			</div>
		</div>
	<?php endif ?>
	<!-- Page Wrapper -->
	<div class="page-wrapper">
		<!-- Header -->
		<header>
			<div class="contact-block">
				<div class="container">
					<div class="row">
						<div class="col-md-20">
							<?php $e_mails = _go_repeated('E-mail');
							foreach($e_mails as $e_mail): 
								if($e_mail['e-mail'] != ''):?>
									<p><?php _e('e-mail address: ','defender') ?><a href="mailto:<?php tt_print($e_mail['e-mail']) ?>"><?php tt_print($e_mail['e-mail']) ?></a></p>						
								<?php endif;
							endforeach;
							$phones = _go_repeated('Phone');
							if($phones && $phones[0]['office_phone'] != '' && isset($phones)):?>
								<div class="phones">
									<a href="#"><?php _ex('Phone number: ','Page Header','defender') ?></a>
									<div class="phones-wrapper">
										<?php foreach($phones as $phone): ?>
											<p>
												<?php if(!empty($phone['phone_type'])):?>
													<?php tt_print($phone['phone_type']); ?>
												<?php endif;?>
												<?php if(!empty($phone['office_phone'])):?>
													<a href="tel:<?php tt_print($phone['office_phone']); ?>"><?php tt_print($phone['office_phone']); ?></a>
												<?php endif;?>
											</p>
										<?php endforeach;?>
									</div>
								</div>
							<?php endif;
							if(_go('show_calendar')): ?>
								<p><a href="#" class="inverted contact-block-link book-appointment-admin"><?php echo _go('text_calendar')? _go('text_calendar') : 'request a free consultation' ?></a></p>
							<?php endif ?>
							<ul class="social-block">
								<?php $social_platforms = array('facebook','twitter','google','pinterest','linkedin','dribbble','behance','youtube','flickr','rss');
								foreach($social_platforms as $platform): 
									if (_go('social_platforms_' . $platform)): ?>
										<li>
											<a href="<?php echo _go('social_platforms_' . $platform) ?>" target="_blank"><i class="fa fa-<?php echo esc_attr( $platform ) ?>" title="<?php echo esc_attr( $platform ) ?>"></i></a>
										</li>
									<?php endif;
								endforeach;?>
							</ul>
						</div>

						<div class="col-md-4">
							<?php get_search_form( ); ?>
						</div>
					</div>
				</div>
			</div>
			<div class="navigation">
				<div class="container">
					<div class="row">
						<div class="col-xs-12 col-md-6">
							<a href="<?php echo home_url() ?>" style="<?php _estyle_changer('logo_text') ?>" >
								<?php if(_go('logo_image')): ?>
									<img src="<?php _eo('logo_image'); ?>" alt="<?php echo THEME_PRETTY_NAME ?>">
								<?php elseif(_go('logo_text')): ?>
									<?php _eo('logo_text'); ?>
								<?php else: ?>
									<?php echo '<h3>' . THEME_PRETTY_NAME . '</h3>'; ?>
								<?php endif; ?>
							</a>
						</div>
						<div class="col-xs-12 col-md-18">
							<nav>
								<i class="menu-toggle fa fa-bars hidden-md hidden-lg"></i>
								<ul>
									<?php wp_nav_menu( array( 
										'title_li'=>'',
										'theme_location' => 'main_menu',
										'container' => false,
										'items_wrap' => '%3$s',
										'fallback_cb' => 'wp_list_pages'
									) );?>
								</ul>
							</nav>
						</div>
					</div>
				</div>
			</div>
		</header>