<?php 
	$get_cats = get_the_category();
	$cats_arr = array();
	$post_id = get_the_id();


	foreach ($get_cats as $key => $category) {
		$cats_arr[] = $category->term_id;
	}

	$cats_str = implode(', ', $cats_arr);
	$posts_number = _go('related_posts_number') ? _go('related_posts_number') : '3';
	$title = _go('related_posts_title');

	$args = array(
		'post__not_in'=> array($post_id),   
		'post_type'   => 'post',
		'post_status' => 'publish',
		'showposts' => $posts_number,
		'ignore_sticky_posts' => 1,
		'category' => $cats_str,
		'order'    => 'DESC',
		'meta_key' => '_thumbnail_id',
		'orderby'  => 'date',
	);

	$similar  = new WP_Query( $args );

	if( $similar->have_posts() ): ?>
	<!-- === Start Related Posts === -->
	<div class="related-news-wrapper">
		<?php if(!empty($title)): ?>
			<h4><?php echo esc_attr( $title ); ?></h4>
		<?php endif; ?>
		<div class="related-news">
			<div class="row row-fit">
				<?php while ($similar->have_posts()) : $similar->the_post();
					$video_meta = get_post_meta($post->ID , THEME_NAME . '_video_embed', true); 
					$cover_meta = get_post_meta($post->ID , THEME_NAME . '_cover', true);
					$excerpt = get_post_meta($post->ID , THEME_NAME . '_excerpt', true);
					?>
					<div class="col-sm-8 col-md-12 col-lg-8">
						<div class="news-item">
							<?php 
								if($video_meta){
									if(!strpos($video_meta, 'iframe')){
										$featured_element = apply_filters( 'the_content' ,$video_meta);
									}else{
										$featured_element = $video_meta;
									}
								}elseif($cover_meta){
									$featured_element = '<img src="' . $cover_meta['url'] . '" alt="news item cover" />';
								}else{
									if(has_post_thumbnail( )){
										$featured_element = get_the_post_thumbnail( get_the_ID(), 'medium' );
									}
								};?>
							<div class="image">
								<?php print $featured_element ?>
								<a href="<?php the_permalink( ) ?>"><i class="fa fa-angle-double-right"></i></a>
							</div>
							<div class="news-item-header">
								<p class="meta"><span><?php the_time(get_option('time_formats','M j / ') ) ?></span><?php _ex('Posted by ','Blog Archive','defender') ?><a href="<?php echo get_the_author_link(); ?>"><?php the_author( ); ?></a></p>
								<h2 class="title"><?php tt_title_max_charlength(50) ?></h2>
							</div>
							<div class="news-item-body">
								<p><?php echo !empty($excerpt)? $excerpt : the_excerpt( ); ?></p>
								<span class="comments"><?php comments_number( ); ?></span>
							</div>
						</div>
					</div>
				<?php endwhile; ?>
			</div>
		</div>
	</div>
	<?php endif; ?>
<?php wp_reset_postdata(); ?>