<?php 	
/***********************************************************************************************/
/* Shortcodes */
/***********************************************************************************************/

/* Shorcode container (Template structure)
============================================*/
add_shortcode('container', 'container');

function container($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => ''
	), $atts));
	ob_start();?>
		<?php get_template_part('theme_includes/container','close' ); ?>
			<section class="<?php echo esc_attr( $class ); ?>">
				<div class="container">
					<?php echo do_shortcode(shortcode_unautop($content)) ?>
				</div>
			</section>
		<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
}

/* Shorcode container close (Template structure)
============================================*/
add_shortcode('container_close', 'container_close');

function container_close($atts, $content = null) {
	extract(shortcode_atts(array(

	), $atts));
	ob_start();?>
				<?php get_template_part('theme_includes/container','close' ); ?>
	<?php return ob_get_clean();
}

/* Shorcode container open (Template structure)
============================================*/
add_shortcode('container_open', 'container_open');

function container_open($atts, $content = null) {
	extract(shortcode_atts(array(

	), $atts));
	ob_start();?>
				<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
}

/* Shorcode row (Template structure)
============================================*/
add_shortcode('row', 'row');

function row($atts, $content = null) {
	extract(shortcode_atts(array(
		'addclass' => ''
	), $atts));
	
	return '<div class="row '.$addclass.'">'. do_shortcode(shortcode_unautop($content)) .'</div>';
}

add_shortcode('row_2', 'row_2');
//for nesting purposes
function row_2($atts, $content = null) {
	extract(shortcode_atts(array(
		'addclass' => ''
	), $atts));
	
	return '<div class="row '.$addclass.'">'. do_shortcode(shortcode_unautop($content)) .'</div>';
}

/* Shorcode column (Template structure)
============================================*/

add_shortcode('column', 'column');

function column($atts, $content = null) {
	extract(shortcode_atts(array(
		'size' => '12',
		'addclass' => ''
	), $atts));

	$content = wpautop(trim($content));
	
	return '<div class="col-md-'.$size.' '.$addclass.'">'. do_shortcode(shortcode_unautop($content)) .'</div>';
}

add_shortcode('column_2', 'column_2');
//for nesting purposes
function column_2($atts, $content = null) {
	extract(shortcode_atts(array(
		'size' => '12',
		'addclass' => ''
	), $atts));

	$content = wpautop(trim($content));
	
	return '<div class="col-md-'.$size.' '.$addclass.'">'. do_shortcode(shortcode_unautop($content)) .'</div>';
}

/***********************************************************************************************/
/* Theme Specific Shortcodes */
/***********************************************************************************************/

/* Shorcode map (Template structure)
============================================*/

add_shortcode('map', 'map');

function map($atts, $content = null) {
	extract(shortcode_atts(array(
		'scroll' => 'false',

	), $atts));
	ob_start();?>
		<?php get_template_part('theme_includes/container','close' ); ?>
			<?php tt_gmap('map-wrapper','map','map-section',$scroll ); ?>
		<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
};

/* Shorcode contact title (Template structure)
============================================*/

add_shortcode('faq_banner', 'faq_banner');

function faq_banner($atts, $content) {
	extract(shortcode_atts(array(
		'title' 	=>	'',
		'img_url' 	=>	'',
		'message'	=>	'',
	), $atts));
	ob_start();?>
		<?php get_template_part('theme_includes/container','close' ); ?>
			<!-- FAQ Hero -->
			<section class="hero-section">
				<div class="container">
					<div class="row">
						<div class="col-md-15">
							<div class="row">
								<?php if(!empty($img_url)): ?>
									<div class="col-sm-13">								
										<div class="image">
											<img src="<?php tt_print($img_url) ?>" alt="hero image" />
										</div>
									</div>
								<?php endif; ?>
								<div class="col-sm-10 col-sm-offset-1">
									<?php if(!empty($title)): ?>
										<h1><?php tt_print($title) ?></h1>
									<?php endif; ?>
									<?php if($message): ?>
										<p><?php tt_print($message) ?></p>
									<?php endif ?>
								</div>
							</div>
						</div>
						<?php echo do_shortcode( $content ) ?>
					</div>
				</div>
			</section>
		<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
};

/* Shorcode contact title (Template structure)
============================================*/

add_shortcode('banner', 'banner');

function banner($atts, $content) {
	extract(shortcode_atts(array(
		'title' 	=>	'',
		'title_2'	=>	'',
		'icon' 		=>	'justice',
		'img_url'	=>	'',
		'button_text'	=>	'Write now',
		'button_link'	=>	'',
		'type'		=>	''
	), $atts));
	ob_start();?>
		<?php get_template_part('theme_includes/container','close' ); ?>
			<?php if($type == '1'): ?>
				<!-- Promo Baner -->
				<div class="simple-theme-banner" <?php if(!empty($img_url)): ?>style="background:url(<?php tt_print($img_url) ?>)" <?php endif ?>>
					<div class="bg-wrapper">
						<div class="container">
							<div class="row row-fit">
								<div class="col-md-12">
									<div class="banner-block has-background-color">
										<?php if(!empty($icon)): ?>
											<i class="icon icon-<?php tt_print($icon)?>"></i>
										<?php endif; ?>
										<h3><?php tt_print($title) ?></h3>
									</div>
								</div>

								<div class="col-md-12">
									<div class="banner-block text">
										<h4><?php tt_print($title_2) ?></h4>
										<?php if(!empty($button_link)): ?>
											<a href="<?php tt_print($button_link) ?>" class="button theme-button-1"><?php tt_print($button_text) ?></a>
										<?php endif ?>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			<?php else: ?>
				<!-- Showcase -->
				<section class="showcase-section" <?php if(!empty($img_url)): ?>style="background:url(<?php tt_print($img_url)  ?>) top center; background-size: cover" <?php endif ?>>
					<div class="bg-wrapper">
						<div class="container">
							<div class="row">
								<div class="col-lg-20 col-lg-offset-2">
									<i class="icon icon-<?php tt_print($icon)?>"></i>
									<?php if(!empty($title)): ?>
										<h1><?php tt_print($title) ?></h1>
									<?php endif ?>
									<?php if(!empty($button_link)): ?>
										<a href="<?php tt_print($button_link) ?>" class="button theme-button-1"><?php tt_print($button_text) ?></a>
									<?php endif ?>
								</div>
							</div>
						</div>
					</div>
				</section>
			<?php endif ?>
		<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
};

/* Shorcode Latest From Blog (Template structure)
============================================*/

add_shortcode('latest_blog', 'latest_blog');

function latest_blog($atts, $content) {
	extract(shortcode_atts(array(
		'button_link' 	=>	'',
		'button_text'	=>	'View',
		'title' 		=> '',
		'nr'    		=>  '8',
		'category' 		=> ''
	), $atts));
	$cat = !empty($category)? $category : '' ; 

	$args = array(
		//Category Parameters
		'category_name'       => $cat,
		'post_status'         => 'publish',  
		'order'               => 'DESC',
		'orderby'             => 'date',
		'ignore_sticky_posts' => true, 
		//Pagination Parameters
		'posts_per_page'         => $nr,
	);

$query = new WP_Query( $args );

	ob_start();?>
		<?php get_template_part('theme_includes/container','close' ); ?>
			<!-- Latest News -->
			<section class="latest-news-section">
				<div class="container">
					<?php if(!empty($title)): ?>
						<h1 class="section-title"><?php tt_print( $title ) ?></h1>
					<?php endif; ?>
					<div class="row row-fit">
						<?php if ( $query -> have_posts() ) : while ( $query -> have_posts() ) : $query -> the_post();
							$query_post_ID = get_the_id();
							$cover_meta = get_post_meta($query_post_ID , THEME_NAME . '_cover', true);
							$short_description = get_post_meta($query_post_ID , THEME_NAME . '_excerpt', true);?>
								<div class="col-sm-12 col-md-6">
									<div class="news-item">										
										<a href="<?php the_permalink( ) ?>">
											<div class="image">
												<?php 
													$featured_element = '';
													if($cover_meta){
														$featured_element = '<img src="' . $cover_meta['url'] . '" alt="news item cover" />';
													}elseif(has_post_thumbnail( )){
														$featured_element = get_the_post_thumbnail( get_the_ID(), 'medium' );														
													}
													print $featured_element
												?>
											</div>
										</a>

										<div class="news-item-header">
											<p><span><?php the_time(get_option('time_formats','M j / ') ) ?></span><?php _ex('Posted by ','Blog Archive','defender'); echo get_the_author_link(); ?></p>

											<h2 class="title"><?php tt_title_max_charlength(50) ?></h2>
										</div>

										<div class="news-item-body">
											<?php 
												if($short_description) echo '<p>' . $short_description . '</p>';
												else the_excerpt( ) ?>
											<span class="comments"><?php comments_number( ) ?></span>
										</div>
									</div>
								</div>
							<?php endwhile ?>
							<?php wp_reset_query() ?>
						<?php else: ?>
							<h4><?php _ex('No Posts To Be Displaed','Latest Posts Shortcode','defender') ?>
						<?php endif; ?>
					</div>
					<?php if(!empty($button_link)): ?>
						<a href="<?php tt_print($button_link) ?>" class="button theme-button-1"><?php tt_print($button_text) ?></a>
					<?php endif; ?>
				</div>
			</section>
		<!-- END CLIENTSLATEST FROM BLOG -->
		<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
};

/* Shorcode image (Template structure)
============================================*/
	add_shortcode('image', 'image');

function image($atts, $content = null) {
	extract(shortcode_atts(array(
		'url' => '',
	), $atts));
	ob_start();?>   <p class="align-center">
						<img src="<?php echo esc_attr( $url ); ?>" alt="<?php _e('Shortcode Image','defender') ?>" />
					</p>
	<?php return ob_get_clean();
} 

/* Shorcode video (Template structure)
============================================*/
	add_shortcode('video', 'video');

function video($atts, $content = null) {
	extract(shortcode_atts(array(
		'url' => '',
	), $atts));

	if($url){
		if(!strpos($url, 'iframe')){
			$featured_element = apply_filters( 'the_content' ,$url);
		}else{          
			$featured_element = apply_filters( 'the_content' ,$url);
		}
	};

	ob_start();
	print $featured_element;
	return ob_get_clean();
} 

/* Shorcode title (Template structure)
============================================*/
	add_shortcode('title', 'title');

function title($atts, $content = null) {
	extract(shortcode_atts(array(
		'title' => '',
	), $atts));
	ob_start();?>
		<h2 class="section-title"><?php tt_print($title) ?></h2>
	<?php return ob_get_clean();
}

/* Shorcode statistics (Template structure)
============================================*/
	add_shortcode('statistics', 'statistics');

function statistics($atts, $content) {
	extract(shortcode_atts(array(	
		), $atts));


	ob_start(); ?>
	<div class="col-md-8">
		<div class="row">
			<?php echo do_shortcode( $content ); ?>
		</div>
	</div>
	<?php return ob_get_clean();
} 

/* Shorcode Statistics item (Template structure)
============================================*/
	add_shortcode('st_item', 'st_item');

function st_item($atts, $content) {
	extract(shortcode_atts(array(
		'nr'	=>	'',
		'icon'	=>	'checkmark',
		'title'	=>	'',	
		), $atts));

	ob_start(); ?>
		<div class="col-xs-12">
			<div class="statistics-item">
				<i class="icon icon-<?php tt_print($icon)?>"></i>
				<span class="nr"><?php tt_print($nr) ?></span>
				<p><?php tt_print($title) ?></p>
			</div>
		</div>
	<?php return ob_get_clean();
}

/* Shorcode History item (Template structure)
============================================*/
	add_shortcode('history', 'history');

function history($atts, $content) {
	extract(shortcode_atts(array(
		'img_url'	=>	'',
		'title'	=>	'',	
		), $atts));

	ob_start(); ?>					
		<div class="row">
			<div class="col-md-<?php echo !empty($img_url)? '13' : '24' ?>">
				<div class="history-box">
					<?php if(!empty($title)): ?>
						<h3 class="box-caption"><?php tt_print($title) ?></h3>
					<?php endif; ?>
					<?php echo do_shortcode( $content ); ?>
				</div>
			</div>
			<?php if(!empty($img_url)): ?>
				<div class="col-md-11">
					<div class="image">
						<img src="<?php tt_print($img_url) ?>" alt="team image" />
					</div>
				</div>
			<?php endif; ?>
		</div>
	<?php return ob_get_clean();
}

/* Shorcode History item (Template structure)
============================================*/
	add_shortcode('hs_item', 'hs_item');

function hs_item($atts, $content) {
	extract(shortcode_atts(array(
		'date'	=>	'',
		'title'	=>	'',
		'description' => ''
		), $atts));

	ob_start(); ?>
		<div class="history-item">
			<h4 class="caption"><span><?php tt_print($date) ?> </span><?php tt_print($title) ?></h4>
			<p><?php tt_print($description) ?></p>
		</div>
	<?php return ob_get_clean();
}

/* Shorcode ShowCase (Template structure)
============================================*/
	add_shortcode('showcase', 'showcase');

function showcase($atts, $content) {
	extract(shortcode_atts(array(
		'img_url'	=>	'',
		'icon'	=>	'',
		'title'	=>	'',
		'button_link' 	=>	'',
		'button_text'	=>	'',
		), $atts));

	ob_start(); ?>
		<?php get_template_part('theme_includes/container','close' ); ?>
			<!-- Showcase -->
			<section class="showcase-section" <?php if(!empty($img_url)): ?>style="background:url(<?php tt_print($img_url) ?>) top center" <?php endif ?>>
				<div class="bg-wrapper">
					<div class="container">
						<div class="row">
							<div class="col-lg-20 col-lg-offset-2">
								<?php if(!empty($icon)): ?>
									<i class="icon icon-<?php tt_print($icon)?>"></i>
								<?php endif; ?>
								<?php if(!empty($title)): ?>
									<h1><?php tt_print($title) ?></h1>
								<?php endif; ?>
								<?php if(!empty($button_link)): ?>
									<a href="<?php tt_print($button_link) ?>" class="button theme-button-1"><?php tt_print($button_text) ?></a>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</section>
		<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
}

/* Shorcode Partners (Template structure)
============================================*/
	add_shortcode('partners', 'partners');

function partners($atts, $content) {
	$i = 1;
	ob_start(); 	?>
		<?php get_template_part('theme_includes/container','close' ); ?>
			<!-- Partners -->
			<div class="partners-section">
				<div class="container">
					<ul class="partners-carousels">
						<?php while(!empty($atts['img_' . $i])): ?>
							<li>
								<img src="<?php tt_print($atts['img_' . $i]) ?>" alt="partner logo" />
							</li>
							<?php $i++ ?>
						<?php endwhile ?>
					</ul>
				</div>
			</div>
		<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
}

/* Shorcode Contact (Template structure)
============================================*/
	add_shortcode('contact', 'contact');

function contact($atts, $content) {
	extract(shortcode_atts(array(
		'type'	=>	'',
		'title'	=>	'',
		'title_2' => '',
		'message' => '',
		'img_url'	=>	'',
		), $atts));
	ob_start(); 	?>
		<?php get_template_part('theme_includes/container','close' ); ?>
			<?php if($type == '1'): ?>
				<section class="hero-section has-padding less-padding-top">
					<div class="container">
						<?php if(!empty($title)): ?>
							<h1 class="align-center"><?php tt_print($title) ?></h1>
						<?php endif; ?>
						<?php if(!empty($message)): ?>
							<p><?php tt_print($message) ?></p>
						<?php endif; ?>
						<div class="row">
							<div class="col-md-18 col-md-offset-3 col-lg-12 col-lg-offset-6">
								<?php tt_form_location('shortcode_section') ?>
							</div>
						</div>					
					</div>
				</section>
			<?php elseif($type == '2'): ?>
				<!-- Contact  -->
				<section class="contact-section no-background">
					<div class="container">
						<div class="row">
							<div class="col-md-12">
								<?php if($title): ?>
									<h2 class="section-title no-align margin-2x"><?php tt_print($title) ?></h2>
								<?php endif ?>
								<?php tt_form_location('shortcode_section') ?>
							</div>

							<div class="col-md-12 col-lg-11 col-lg-offset-1">
								<?php if(!empty($title)): ?>
									<h2 class="section-title no-align"><?php tt_print($title) ?></h2>
								<?php endif ?>
								<div class="contact-info-block">
									<?php if(!empty($message)): ?>
										<div class="heading">
											<p><?php tt_print($message) ?></p>
										</div>
									<?php endif; ?>
									<?php if(_go('contact_address')): ?>
										<div class="info-block">
											<i class="icon icon-location"></i>
											<p><span><?php _ex('Address','Shortcode Contact','defender') ?></span><?php _eo('contact_address') ?></p>
										</div>
									<?php endif; ?>
									<?php $e_mails = _go_repeated('E-mail')?>
									<?php if(!empty($e_mails)): ?>
										<div class="info-block">
											<i class="icon fa fa-envelope-o"></i>
											<p><span><?php _e('Mail', 'defender') ?></span><?php _e('e-mail address: ','defender') ?>
												<?php foreach($e_mails as $e_mail): 
													if($e_mail['e-mail'] != ''):?>
														<a href="mailto:<?php tt_print($e_mail['e-mail']) ?>"><?php tt_print($e_mail['e-mail']) ?></a>					
													<?php endif ?>
												<?php endforeach?>
											</p>
										</div>
									<?php endif; ?>
									<?php $phones = _go_repeated('Phone');?>
									<?php if(!empty($phones)): ?>
										<div class="info-block">
											<i class="icon icon-phone"></i>
											<p><span><?php _e('Phone','defender') ?></span><?php _ex('phone: ','Shortcode Contact','defender') ?>
												<?php foreach($phones as $phone): 
													if($phone['office_phone'] != ''):?>
														<a href="#"><?php echo tt_print($phone['office_phone']); ?></a><br>
													<?php endif ?>
												<?php endforeach ?>
											</p>
										</div>
									<?php endif; ?>
									<ul class="social-block">
										<?php $social_platforms = array('facebook','twitter','google','pinterest','linkedin','dribbble','behance','youtube','flickr','rss');
										foreach($social_platforms as $platform): 
											if (_go('social_platforms_' . $platform)): ?>
												<li>
													<a href="<?php echo _go('social_platforms_' . $platform) ?>" target="_blank"><i class="fa fa-<?php echo esc_attr( $platform ) ?>" title="<?php echo esc_attr( $platform ) ?>"></i></a>
												</li>
											<?php endif;
										endforeach;?>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</section>				
			<?php elseif($type == '3'): ?>
				<section class="contact-section" <?php if(!empty($img_url)): ?>style="background:url(<?php tt_print($img_url) ?>) top center" <?php endif ?>>
					<div class="bg-wrapper" >
						<div class="container align-center">
							<?php if(!empty($title)): ?>
								<h2 class="section-title more-margin"><?php tt_print($title) ?></h2>
							<?php endif ?>
							<?php tt_form_location('shortcode_section') ?>
						</div>
					</div>
				</section>
			<?php else: ?>
				<!-- Contact -->
				<section class="contact-section" <?php if(!empty($img_url)): ?>style="background:url(<?php tt_print($img_url) ?>) top center" <?php endif ?>>
					<div class="bg-wrapper">
						<div class="container">
							<?php if($title): ?>
								<h2 class="section-title more-margin"><?php tt_print($title) ?></h2>
							<?php endif ?>
							<div class="row">
								<div class="col-md-12">
									<?php tt_form_location('shortcode_section') ?>
								</div>
								<div class="col-md-11 col-lg-10 col-md-offset-1 col-lg-offset-2">
									<div class="promo-message">
										<?php if($title_2): ?>
											<h1><?php tt_print($title_2) ?></h1>
										<?php endif ?>
										<?php if($message):
											print $message;
										endif ?>
									</div>
								</div>
							</div>
						</div>
					</div>
				</section>
			<?php endif; ?>
		<?php get_template_part('theme_includes/container','open' ); ?>
	<?php return ob_get_clean();
}