<?php

return array(
	'favico' => array(
		'dir' => '/theme_config/icons/16-16.png'
	),
	'option_saved_text' => _x('Options successfully saved','TeslaFramework','defender'),
	'tabs' => array(
		array(
			'title'	=>	_x('General Options','TeslaFramework','defender'),
			'icon'	=>	1,
			'boxes' =>	array(
				_x('Logo Customization','TeslaFramework','defender') => array(
					'icon'		 	=>	'customization',
					'size'		 	=>	'2_3',
					'columns'		=>	true,
					'description'	=>	_x('Here you upload a image as logo or you can write it as text and select the logo color, size, font.','TeslaFramework','defender'),
					'input_fields'	=>	array(
						_x('Logo As Image','TeslaFramework','defender')	=>	array(
							'size'	=>	'half',
							'id'	=>	'logo_image',
							'type'	=>	'image_upload',
							'note'	=>	_x('Here you can insert your link to a image logo or upload a new logo image.','TeslaFramework','defender')
						),
						_x('Logo As Text','TeslaFramework','defender')	=>	array(
							'size'				=>	'half_last',
							'id'				=>	'logo_text',
							'type'				=>	'text',
							'note' 				=>	_x("Type the logo text here, then select a color, set a size and font",'TeslaFramework','defender'),
							'color_changer'		=>	true,
							'font_changer'		=>	true,
							'font_size_changer'	=>	array(8,50, 'px'),
							'font_preview'		=>	array(true, true)
						)
					)
				),
				_x('Favicon','TeslaFramework','defender')	=>	array(
					'icon'	=>	'customization',
					'size'	=>	'1_3_last',
					'input_fields'	=>	array(
						array(
							'id'	=>	'favicon',
							'type'	=>	'image_upload',
							'note'	=>	_x('Here you can upload the favicon icon.','TeslaFramework','defender')
						)
					)
				),
				_x('Custom CSS','TeslaFramework','defender')	=>	array(
					'icon'	=>	'css',
					'size'	=>	'half',
					'description'	=>	_x('Here you can write your personal CSS for customizing the classes you want. Or use our <b>Custom Styler</b>, from the Site Colors tab, for an easier custom css color picking.','TeslaFramework','defender'),
					'input_fields' 	=>	array(
						array(
							'id'	=>	'custom_css',
							'type'	=>	'textarea'
						)
					)
				),
				_x('Custom JS','TeslaFramework','defender')	=>	array(
					'icon'			=>	'js',
					'size'			=>	'half_last',
					'description'	=>	_x('Here you can write your personal JS that will be appended to footer.<br><br>','TeslaFramework','defender'),
					'input_fields'	=>	array(
						array(
							'id'=>'custom_js',
							'type'=>'textarea'
						)
					)
				)
			)
		),
		array(
			'title'	=>	_x('Site Colors','TeslaFramework','defender'),
			'icon'	=>	4,
			'boxes' =>	array(
				_x('Background Customization','TeslaFramework','defender')	=>	array(
					'icon'		=>	'customization',
					'columns'	=>	true,
					'size' 		=>	'1',
					'input_fields' => array(
							_x('Background Color','TeslaFramework','defender')	=>	array(
								'size'	=>	'half',
								'id'	=>	'bg_color',
								'type'	=>	'colorpicker'
							),
							_x('Background Image','TeslaFramework','defender') => array(
								'size'	=>	'half_last',
								'id'	=>	'bg_image',
								'type'	=>	'image_upload'
							)
						)
					),
					_x('Site Colors','TeslaFramework','defender')	=>	array(
						'icon'		=>	'background',
						'columns'	=>	true,
						'size' 		=>	'1',
						'input_fields' => array(
							_x('Primary Site Color','TeslaFramework','defender')	=>	array(
								'size'	=>	'1_3',
								'id'	=>	'site_color',
								'type'	=>	'colorpicker',
								'note'	=>	_x('Choose primary color for your website. This will affect only specific elements.<br>To return to default color , open colorpicker and click the Clear button.','TeslaFramework','defender')
							),
							_x('Secondary Site Color','TeslaFramework','defender')	=>	array(
								'size'	=>	'1_3',
								'id'	=>	'site_color_2',
								'type'	=>	'colorpicker',
								'note'	=>	_x('Choose secondary color for your website. This will affect only specific elements.<br>To return to default color , open colorpicker and click the Clear button.','TeslaFramework','defender')
							),
							_x('Tertiary Site Color','TeslaFramework','defender')	=>	array(
								'size'	=>	'1_3_last',
								'id'	=>	'site_color_3',
								'type'	=>	'colorpicker',
								'note'	=>	_x('Choose tertiary color for your website. This will affect only specific elements.<br>To return to default color , open colorpicker and click the Clear button.','TeslaFramework','defender')
							)
						)
					),
				)
			),
			array(
				'title' => _x('Typography','TeslaFramework','defender'),
				'icon'  => 1,
				'boxes' => array(
					_x('Font Changers','TeslaFramework','defender')	=>	array(
						'icon' 			=>	'customization',
						'description'	=>	_x('Change the fonts & colors for site\'s sections:','TeslaFramework','defender'),
						'size'			=>	'1',
						'columns'		=>	true,
						'input_fields' 	=>	array(
							_x('Main Content Font/Color','TeslaFramework','defender')	=>	array(
								'size'			=>	'1_3',
								'id'			=>	'main_content_text',
								'type'			=>	'text',
								'note' 			=>	_x("Then select a color, set a size and choose a font",'TeslaFramework','defender'),
								'color_changer'	=>	true,
								'font_changer'	=>	true,
								'font_size_changer'	=>	array(8,50, 'px'),
								'hide_input'	=>	true,
							),
							_x('Secondary Font/Color','TeslaFramework','defender')	=>	array(
								'size'			=>	'1_3',
								'id'			=>	'sidebar_text',
								'type'			=>	'text',
								'note' 			=>	_x("Then select a color, set a size and choose a font",'TeslaFramework','defender'),
								'color_changer'	=>	true,
								'font_changer'	=>	true,
								'font_size_changer'	=>	array(8,50, 'px'),
								'hide_input'	=>	true,
							),
							_x('Thirdary Font/Color','TeslaFramework','defender')	=>	array(
								'size'			=>	'1_3_last',
								'id'			=>	'menu_text',
								'type'			=>	'text',
								'note' 			=>	_x("Then select a color, set a size and choose a font",'TeslaFramework','defender'),
								'color_changer'	=>	true,
								'font_changer'	=>	true,
								'font_size_changer'	=>	array(8,50, 'px'),
								'hide_input'		=>	true,
							),
								
						)
					),
						
				)
			),
		array(
			'title' 	=>	_x('SEO and Socials','TeslaFramework','defender'),
			'icon'		=>	2,
			'boxes'		=>	array(
				_x('ShareThis feature','TeslaFramework','defender')	=>	array(
					'icon'			=>	'social',
					'description'	=>	_x("To use this service please select your favorite social networks",'TeslaFramework','defender'),
					'size'			=>	'half',
					'input_fields'	=>	array(
						array(
							'type'		=> 	'select',
							'id'    	=> 	'share_this',
							'label' 	=>	_x('Facebook','TeslaFramework','defender'),
							'class'  	=>	'social_search',
							'multiple' 	=>	true,
							'options'	=>	array(
								_x('Google','TeslaFramework','defender')	=>	'googleplus',
								_x('Facebook','TeslaFramework','defender')	=>	'facebook',
								_x('Twitter','TeslaFramework','defender')	=>	'twitter',
								_x('Pinterest','TeslaFramework','defender')	=>	'pinterest',
								_x('Linkedin','TeslaFramework','defender')	=>	'linkedin',
								_x('Vkontakte','TeslaFramework','defender')	=>	'vkontakte'
								)
						),
					)
				),
				_x('Social Platforms','TeslaFramework','defender')	=>	array(
					'icon'			=>	'social',
					'description'	=>	_x("Insert the link to the social share page.",'TeslaFramework','defender'),
					'size'			=>	'half_last',
					'columns'		=>	true,
					'input_fields'	=>	array(
						array(
							'id'	=>	'social_platforms',
							'size'	=>	'half',
							'type'	=>	'social_platforms',
							'platforms'	=>
								array(
									'facebook',
									'twitter',
									'google',
									'pinterest',
									'linkedin',
									'dribbble',
									'behance',
									'youtube',
									'flickr',
									'rss')
						),
					)
				),
			)
		),
		array(
			'title' => _x('Contact Info','TeslaFramework','defender'),
			'icon'  => 5,
			'boxes' => array(
				_x('Contact info','TeslaFramework','defender')	=>	array(
					'icon' 			=>	'customization',
					'description'	=>	_x("Provide contact information. This information will appear in contact template. For more informations read documentation.",'TeslaFramework','defender'),
					'size'			=>	'2_3',
					'columns'		=>	true,
					'input_fields' 	=>	array(
						_x('Map','TeslaFramework','defender') => array(
							'id'    =>	'map-wrapper',
							'type'  =>	'map',
							'note'	=>	_x('Just navigate to the location you want to be displayed on the google map and if you want a pin over your location , press the "Drop marker here" button. ','TeslaFramework','defender') ,
							'icons' =>	array('google-marker.gif','home.png','home_1.png','home_2.png','administration.png','office-building.png','../../../../theme_config/icons/map-pin.png'),
							'size'	=>	'1',
							'style'	=>	'',
							'mapOptions'	=>	'',
						),
						_x('Working Hours','TeslaFramework','defender') => array(
							'id'    =>	'working_hours',
							'type'  =>	'textarea',
							'note' 	=>	_x('Provide your working hours','TeslaFramework','defender'),
							'size' 	=>	'half'
						),
						_x('Contact address','TeslaFramework','defender') => array(
							'id'    =>	'contact_address',
							'type'  =>	'textarea',
							'note' 	=>	_x('Provide your address','TeslaFramework','defender'),
							'size' 	=>	'half_last'
						),
					)
				),
				_x('E-mail','TeslaFramework','defender')	=>	array(
					'icon' 			=>	'customization',
					'description'	=>	_x("A list of e-mail addresses",'TeslaFramework','defender'),
					'size'			=>	'1_3_last',
					'repeater' 		=>	_x('Add new','TeslaFramework','defender'),
					'input_fields' 	=>	array(
						_x('E-mail','TeslaFramework','defender')	=>	array(
							'type'	=>	'text',
							'id'	=>	'e-mail',							
							'note'	=>	_x('E-mail','TeslaFramework','defender')
						)
					)
				),
				_x('Phone','TeslaFramework','defender')	=>	array(
					'icon' 			=>	'customization',
					'description'	=>	_x("A list of phone numbers.",'TeslaFramework','defender'),
					'size'			=>	'1_3_last',
					'repeater' 		=>	_x('Add new','TeslaFramework','defender'),
					'input_fields' 	=>	array(
						_x('Title','TeslaFramework','defender')	=>	array(
							'type'	=>	'text',
							'id'	=>	'phone_type',							
							'note'	=>	_x('Phone type','TeslaFramework','defender')
						),
						_x('Phone','TeslaFramework','defender')	=>	array(
							'type'	=>	'text',
							'id'	=>	'office_phone',							
							'note'	=>	_x('Phone','TeslaFramework','defender')
						),
					)
				),
			)
		),
		array(
				'title' => _x('Latest News','TeslaFramework','defender'),
				'icon'  => 7,
				'boxes' => array(
						_x('Latest News','TeslaFramework','defender')=>array(
								'icon' 			=> 6,
								'description'	=>_x('First 20 subscribers are listed here. To get the full list export files using buttons below:','TeslaFramework','defender'),
								'size'			=>'full',
								'columns'		=>	true,
								'input_fields'	=> array(
										_x('Show Latest News','TeslaFramework','defender') => array(
											'id'    	=> 'latest_news',
											'type'  	=> 'checkbox',
											'note' 		=> _x('Check the box to show "Latest News" section on the top of Blog Page','TeslaFramework','defender'),
											'size'		=>	'half',
											'action' 	=> array('show',array('news_title','news_sub_title','news_text'))
										),
										array(
											'id'    => 	'news_title',
											'type'  => 	'text',
											'note' 	=> 	_x('Section Title','TeslaFramework','defender'),
											'size'	=>	'half_last',
										),
										array(
											'id'    => 	'news_sub_title',
											'type'  => 	'text',
											'note' 	=> 	_x('Section Sub Title','TeslaFramework','defender'),
											'size'	=>	'half_last'
										),
										array(
											'id'    => 	'news_text',
											'type'  => 	'textarea',
											'note' 	=> 	_x('News Content','TeslaFramework','defender'),
											'size'	=>	1,
										),	
								)							
						)
				)
		),
		array(
			'title' => _x('Additional Options','TeslaFramework','defender'),
			'icon'  => 6,
			'boxes' => array(
				_x('404 page settings','TeslaFramework','defender')=>array(
					'icon' 			=>	'customization',
					'description'	=>	_x("Setup your 404 page",'TeslaFramework','defender'),
					'size'			=>	'1',
					'columns' 		=> true,
					'input_fields' 	=>array(
						_x('Error 404 Image','TeslaFramework','defender')	=>	array(
							'size'	=>	'half',
							'id'	=>	'error_404',
							'type'	=>	'image_upload',
							'note'	=>	_x('Here you can upload image for error page 404.','TeslaFramework','defender') 
						),
						_x('Page title','TeslaFramework','defender') => array(
							'id'    => 'error_title',
							'size'	=> 'half_last',
							'type'  => 'text',
							'note' 	=> _x('This is the title of the 404 page','TeslaFramework','defender'),
						),
						_x('Message','TeslaFramework','defender')	=>	array(
							'id'	=>	'error_message',
							'size'	=>  'half_last',
							'type'	=>	'textarea',
							'note'	=>	_x('This message will appear on 404 page. Wrap text in [<span></span>] to enhance it.','TeslaFramework','defender'),
						)
					)
				),
				_x('Preloader Settings','TeslaFramework','defender') =>  array(
					'icon'			=>  'customization',
					'size'			=>  'half',
					'columns'   	=>  false,
					'input_fields' 	=>	array(
							_x('Show preloader','TeslaFramework','defender')	=>	array(
								'id'    	=>  'show_preloader',
								'type'		=>  'select',
								'options'	=>	array(
									_x('Yes','TeslaFramework','defender')	=>	'yes',
									_x('No','TeslaFramework','defender')	=>	'no'
									),
								'default'	=>	'yes',
								'std'		=>	'yes'
							)
						)
					),
				_x('Page Settings','TeslaFramework','defender') =>  array(
					'icon'  		=>  'customization',
					'size'			=>  'half_last',
					'columns'   	=>  false,
					'input_fields' 	=>	array(
							_x('Single Attorney Permalink','TeslaFramework','defender')	=>	array(
								'id'    =>  'attorney_url',
								'type'  =>  'text',
								'label' =>  _x('Change Attorney Url','TeslaFramework','defender'),
							),
							_x('Single Practice Permalink','TeslaFramework','defender') => array(
								'id'    =>  'practice_url',
								'type'  =>  'text',
								'label' =>  _x('Change Practice Url','TeslaFramework','defender'),
							),
						)
					),
				_x('Related Posts Settings','TeslaFramework','defender')	=>	array(
					'icon' 			=>	'customization',
					'size'			=>	'half',
					'columns'		=>	false,
					'input_fields' 	=>	array(
						_x('Related Posts Title','TeslaFramework','defender')	=>	array(
							'id'  	=> 'related_posts_title',
							'type'  => 'text',
							'label' => _x('Set the Title for Related Posts','TeslaFramework','defender')
						),
						_x('Related Posts Number','TeslaFramework','defender')	=>	array(
							'id'  	=> 'related_posts_number',
							'type'  => 'text',
							'label' => _x('Number of Related Posts to be displayed. Default "3"','TeslaFramework','defender'),
						),
						array(
							'id'  	=> 'show_related_posts',
							'type'  => 'checkbox',
							'label' => _x('Show Similar Posts for Post Page','TeslaFramework','defender'),
						),
					),
				),
				_x('Attorneys Single Page Settings','TeslaFramework','defender')	=>	array(
					'icon' 			=>	'customization',
					'size'			=>	'half_last',
					'columns'		=>	false,
					'input_fields' 	=>	array(
						_x('Related Section Title','TeslaFramework','defender')	=>	array(
							'id'  	=> 'related_attorney_title',
							'type'  => 'text',
							'label' => _x('Set the Title for Related Attorneys Section','TeslaFramework','defender')
						),
						_x('Related Attorneys Number','TeslaFramework','defender')	=>	array(
							'id'  	=> 'related_attorney_number',
							'type'  => 'text',
							'label' => _x('Number of Related Attorneys to be displayed. Default "9','TeslaFramework','defender'),
						),
						array(
							'id'  	=> 'show_related_attorney',
							'type'  => 'checkbox',
							'label' => _x('Show Similar Attorneys for Single Attorney Page','TeslaFramework','defender'),
						),
						array(
							'id'  	=> 'attorney_contact',
							'type'  => 'checkbox',
							'label' => _x('Show Contact Form for Single Attorney Page','TeslaFramework','defender'),
						),
					),
				),
				_x('Booked Calendar','TeslaFramework','defender')	=>	array(
					'icon' 			=>	'customization',
					'size'			=>	'half',
					'columns'		=>	false,
					'input_fields' 	=>	array(
						_x('Appointment Link Text','TeslaFramework','defender')	=>	array(
							'id'  	=> 'text_calendar',
							'type'  => 'text',
							'note' 	=> _x('Request a free consultation','TeslaFramework','defender')
						),
						_x('Admin booked calendar','TeslaFramework','defender')	=>	array(
							'id'  	=>	'admin_calendar',
							'type'  =>	'text',
							'note'	=>	_x('[...shortcode...]','TeslaFramework','defender'),
							'label' =>	_x('Insert admin booked calendar shortcode.<br /><br /><br /><br />','TeslaFramework','defender')							
						),
						array(
							'id'  	=>	'show_calendar',
							'type'  =>	'checkbox',
							'label' =>	_x('Show Calendar Link at header.','TeslaFramework','defender'),
						),
					),
				),
				_x('Practice Single Page Settings','TeslaFramework','defender')	=>	array(
					'icon'			=>	'customization',
					'size'			=>	'half_last',
					'columns'		=>	false,
					'input_fields' 	=>	array(
						_x('Related Section Title','TeslaFramework','defender')	=>	array(
							'id'  	=> 'related_practice_title',
							'type'  => 'text',
							'label' => _x('Set the Title for Related Attorneys Section','TeslaFramework','defender')
						),
						_x('Related Attorneys Number','TeslaFramework','defender')	=>	array(
							'id'  	=> 'related_practice_number',
							'type'  => 'text',
							'label' => _x('Number of Related Attorneys to be displayed','TeslaFramework','defender'),
						),
						array(
							'id'  	=> 'show_related_practice',
							'type'  => 'checkbox',
							'label' => _x('Show Similar Attorneys for Single Attorney Page','TeslaFramework','defender'),
						),
					),
				),
				_x('Footer Settings','TeslaFramework','defender') => array(
					'icon' 			=>	'customization',
					'size' 			=>	'1',
					'columns' 		=>	true,
					'input_fields' 	=>	array(
						_x('Footer Background','TeslaFramework','defender')	=>	array(
								'id' 	=> 'footer_background',
								'type'	=> 'image_upload',
								'note'	=> _x('Chose Footer Background image','TeslaFramework','defender'),
								'size'	=> 'half',
						),
						_x('Footer Filter','TeslaFramework','defender')=>array(
								'id' 	=> 'footer_filter',
								'type' 	=> 'text',
								'note' 	=> _x('Use To apply an additional filter effect onto background. Accepted only rgba format. <a href="http://hslpicker.com/" target="_blank">Here</a> you can find such a colorpicker. Just copy/paste generated rgba code of your color.','TeslaFramework','defender'),
								'size' 	=> 'half',
						),
						_x('Design Message','TeslaFramework','defender') => array(
								'id'    => 'design_message',
								'type'  => 'text',
								'note' 	=> _x('Message that will appear in the footer(left corner).','TeslaFramework','defender'),
								'size'  => 'half'
						),
						_x('Design URL','TeslaFramework','defender') => array(
								'id'    => 'design_url',
								'type'  => 'text',
								'note' 	=> _x('Link to your Design Message.','TeslaFramework','defender'),
								'size'  => 'half_last'
						),
						_x('Supported Message','TeslaFramework','defender') => array(
								'id'    => 'supported_message',
								'type'  => 'text',
								'note' 	=> _x('Message that will appear in the footer(left corner).','TeslaFramework','defender'),
								'size'  => 'half'
						),
						_x('Supported URL','TeslaFramework','defender') => array(
								'id'    => 'supported_url',
								'type'  => 'text',
								'note' 	=> _x('Link to your Supported Message.','TeslaFramework','defender'),
								'size'  => 'half_last'
						),
						_x('Copyright Message','TeslaFramework','defender') => array(
								'id'    => 'copyright_message',
								'type'  => 'text',
								'note' 	=> _x('Message that will appear in the footer(right corner).','TeslaFramework','defender'),
								'size'  => 'half'
						),
					),
				),
			),
		),
	),
	'styles' => array( array('wp-color-picker'),'style','select2' )
	,
	'scripts' => array( array( 'jquery', 'jquery-ui-core','jquery-ui-datepicker','wp-color-picker' ), 'select2.min','jquery.cookie','tt_options', 'admin_js' )
);