<?php
return array(
	'attorney'	=>	array(
		'name'	=>	_x('Attorneys','TeslaFramework','defender'),
		'term'	=>	_x('Attorney','TeslaFramework','defender'),
		'term_plural' 	=> _x('Attorneys','TeslaFramework','defender'),
		'order' 		=> 'DESC',
		'has_single' 	=> true,		
		'post_options' 	=> array(
			'supports'=> array( 'title', 'editor' ,'thumbnail'), 
			'has_archive'=>true
			),
		'taxonomy_options' => array('show_ui' => true),
		'url'		=>	_go('attorney_url'),
		'options' 	=> array(
			'cover_image' 		=>	array(
				'title' 		=>	_x('Cover Image','TeslaFramework','defender'),
				'description' 	=>	_x('Image for related posts and archive view','TeslaFramework','defender'),
				'type' 			=>	'image',
				'default' 		=>	'holder.js/300x300/auto'
			),
			'title' 	=>	array(
				'title' =>	_x('Page Title','TeslaFramework','defender'),
				'type' 	=>	'line',
			),
			'position' 	=>	array(
				'title'	=>	_x('Position','TeslaFramework','defender'),
				'type'	=>	'line',
			),
			'description' 	=>	array(
				'title' 	=>	_x('Short Description','TeslaFramework','defender'),
				'type' 		=>	'text',
			),
			'social' 			=> array(
				'title' 		=> _x('Social Icons','TeslaFramework','defender'),
				'description' 	=> _x('Add social icons for current team member.','TeslaFramework','defender'),
				'type' => array(
					'facebook' 	=> array(
						'title' => _x('Facebook','TeslaFramework','defender'),
						'description' 	=> _x('Set the full URL to the Facebook page.','TeslaFramework','defender'),
						'type'			=> 'line'
					),
					'google-plus'	 	=>	array(
						'title' 		=>	_x('Google+','TeslaFramework','defender'),
						'description' 	=>	_x('Set the full URL to the Google+ page.','TeslaFramework','defender'),
						'type' 			=>	'line'
					),
					'linkedin' 			=>	array(
						'title' 		=>	_x('Linkedin','TeslaFramework','defender'),
						'description' 	=>	_x('Set the full URL to the Linkedin page.','TeslaFramework','defender'),
						'type' 			=>	'line'
					),
					'pinterest' 		=>	array(
						'title' 		=>	_x('Pinterest','TeslaFramework','defender'),
						'description' 	=>	_x('Set the full URL to the Pinterest page.','TeslaFramework','defender'),
						'type' 			=>	'line'
					),
					'rss' 				=>	array(
						'title' 		=>	_x('Rss','TeslaFramework','defender'),
						'description' 	=>	_x('Set the full URL to the Rss page.','TeslaFramework','defender'),
						'type' 			=>	'line'
					),
					'twitter' 			=>	array(
						'title' 		=>	_x('Twitter','TeslaFramework','defender'),
						'description' 	=>	_x('Set the full URL to the Twitter page.','TeslaFramework','defender'),
						'type' 			=>	'line'
					),
				),
			),
			'e-mail' 	=>	array(
				'title' =>	_x('E-mail','TeslaFramework','defender'),
				'type' 	=>	'line',
			),
			'phone' 	=> array(
				'title' => _x('Phone','TeslaFramework','defender'),
				'description' 	=>	_x('Place your phone numbers','TeslaFramework','defender'),
				'type' 			=>	array(
					'number' 	=>	array(
						'title' =>	_x('Number','TeslaFramework','defender'),
						'type' 	=>	'line'
					),
				),
				'multiple' 		=>	true,
			),
			'education' => array(
				'title' => _x('Education','TeslaFramework','defender'),
				'description' 	=>	_x('Place Education checkpoints','TeslaFramework','defender'),
				'type' 			=>	array(
					'year' 		=>	array(
						'title' =>	_x('Year','TeslaFramework','defender'),
						'type' 	=>	'line'
					),
					'description' 	=>	array(
						'title' 	=>	_x('Description','TeslaFramework','defender'),
						'type' 		=>	'text'
					),
				),
				'multiple' 	=>	true,
			),
			'calendar' 			=>	array(
				'title' 		=>	_x('Calendar','TeslaFramework','defender'),
				'type' 			=>	'line',
				'description'	=>	_x('Insert Attorney Shortcode Calendar','TeslaFramework','defender'),
				'placeholder'	=>	_x('[booked-calendar calendar=...]','TeslaFramework','defender')
			),
		),
		'icon' 		=>	'icons/favicon.png',
		'output' 	=>	array(
			'main' 	=>	array(
				'shortcode'	=> 'tesla_attorney',
				'view' 		=> 'views/attorney-view',
				'shortcode_defaults'=>	array(
					'title'			=>	'',
					'nr'			=>	'',
					'columns'		=>	'4'
				)
			),
			'second' => array(
				'shortcode' => 'tesla_attorney_slide',
				'view' 		=> 'views/attorney-view-slide',
				'shortcode_defaults' 	=> array(
					'title'				=>	'',
					'nr'				=>	'',
					'slides_per_view'	=>	'9',
					'size'				=>	'',
				)
			),
			'third' 	=> array(
				'view' 	=> 'views/attorney-view-2',
				'shortcode_defaults' => array(

				)
			),
			'single' 	=> array(
				'view' 	=> 'views/attorney_single_view',
				'shortcode_defaults' => array(

				)
			),			
		)
	),
	'practice' => array(
		'name' => _x('Practice Area','TeslaFramework','defender'),
		'term' => _x('Practice','TeslaFramework','defender'),
		'term_plural' => _x('Practices','TeslaFramework','defender'),
		'order' => 'DESC',
		'has_single' => true,
		'post_options' => array(
			'supports'=> array( 'title', 'editor' ,'thumbnail'),
			'taxonomies' => array('attorney_tax'),
			'has_archive'=>false
		),
		'taxonomy_options' => array(
			'show_ui' => false
			),
		'url'	=>	_go('practice_url'),
		'options' => array(
			'cover_image' => array(
				'title' => _x('Cover Image','TeslaFramework','defender'),
				'description' => _x('Image for practice archive section','TeslaFramework','defender'),
				'type'	=>	'image',
				'default' => 'holder.js/250x250/auto'
			),
			'short_description' => array(
				'title' => _x('Short Description','TeslaFramework','defender'),
				'type' => 'text'
			),
		),
		'icon' => 'icons/favicon.png',
		'output_default' => 'main',
		'output' => array(
			'main' => array(
				'shortcode' => 'tesla_practice',
				'view' => 'views/practice-view',
				'shortcode_defaults' => array(
					'title'	=>	'',
					'rows'	=>	'2',
					'nr'	=>	'',
				)
			),
			'second' => array(
				'shortcode' => 'tesla_practice_2',
				'view' => 'views/practice-view-2',
				'shortcode_defaults' => array(
					'size'	=>	'16',
					'title'	=>	'',
					'nr'	=>	'',
				)
			),
			'single' => array(
				'view' => 'views/practice_single_view',
				'shortcode_defaults' => array(
				)
			),
		)
	),
	'testimonials' => array(
		'name' => _x('Testimonials','TeslaFramework','defender'),
		'term' => _x('Testimonial','TeslaFramework','defender'),
		'term_plural' => _x('testimonials','TeslaFramework','defender'),
		'order' => 'DESC',
		'has_single' => false,
		'post_options' => array('supports'=>array('title','editor','thumbnail')),
		'taxonomy_options' => array('show_ui'=>true),
		'options' => array(
			'position' => array(
				'title'	=>	_x('Position','TeslaFramework','defender'),
				'type'	=>	'line'
				)
			),
		'icon' => 'icons/favicon.png',
		'output_default' => 'main',
		'output' => array(
			'main' => array(
				'shortcode' => 'tesla_testimonials',
				'view' => 'views/testimonials-view',
				'shortcode_defaults' => array(
					'title' => '',
					'message'=>'',
					'nr' =>	'',
					'slides_per_page' => '6',
					'category' =>''
				)
			),
			'second' => array(
				'shortcode' => 'tesla_testimonials_2',
				'view' => 'views/testimonials-view-2',
				'shortcode_defaults' => array(
					'title' => '',
					'nr' =>	'',
				)
			),
		)
	),
	'faq' => array(
		'name' => _x('FAQ','TeslaFramework','defender'),
		'term' => _x('faq','TeslaFramework','defender'),
		'term_plural' => _x('FAQ Items','TeslaFramework','defender'),
		'order' => 'ASC',
		'has_single' => false,
		'post_options' => array(
			'supports'=> array( 'title'), 			
			'has_archive'=>true
		),
		'taxonomy_options' => array('show_ui' => true),
		'options' => array(
			'message' => array(
					'title' => _x('Answer','TeslaFramework','defender'),
					'type' => 'text',
				)
			),
		'icon' => 'icons/favicon.png',
		'output_default' => 'main',
		'output' => array(
			'main' => array(
				'shortcode' => 'tesla_faq',
				'view' => 'views/faq-view',
				'shortcode_defaults' => array(
					'title' => '',
					'nr'	=>	''
				)
			)
		)
	),
);