<?php 
global $post;
$number = !empty($shortcode['nr'])? $shortcode['nr'] : count($slides);
$col = $shortcode['columns'];
switch ($col) {
	case '1':
		$md = 24;
		break;
	case '2':
		$md = 12;
		break;
	case '3':
		$md = 8;
		break;
	case '4':
		$md = 6;
		break;
	
	default:
		$md = 6;
		break;
};

get_template_part('theme_includes/container','close'); ?>
<section class="attorneys-section">
	<div class="container">
		<h2 class="section-title"><?php tt_print($shortcode['title']) ?></h2>
		<div class="row">
			<?php foreach($slides as $nr => $slide):
				if($nr >= $number) { break; };				
				$post = $slide['post'];
				setup_postdata( $post );?>
				<div class="col-sm-12 col-md-<?php tt_print($md)?>">
					<div class="attorney">
						<div class="image">
							<?php if(!empty($slide['cover_image'])): ?>
								<a href="<?php the_permalink( ) ?>"><img src="<?php tt_print($slide['cover_image']) ?>" alt="profile pic" /></a>
							<?php else:?>
								<a href="<?php the_permalink( ) ?>"><?php the_post_thumbnail('medium');?></a>
							<?php endif ?>
						</div>
						<h4 class="name"><a href="<?php the_permalink( ) ?>"><?php the_title( ) ?></a></h4>
						<?php if(!empty($slide['options']['position'])): ?>
							<p class="job"><?php tt_print($slide['options']['position']) ?></p>
						<?php endif; ?>
						<?php if(!empty($slide['options']['social'])): ?>
							<ul class="social-media">
								<?php foreach($slide['options']['social'] as $social => $url): 
									if(!empty($url)):?>
										<li>
											<a href="<?php tt_print($url) ?>"><i class="fa fa-<?php tt_print($social)?>"></i></a>
										</li>
									<?php endif; ?>
								<?php endforeach; ?>
							</ul>
						<?php endif; ?>
						<p class="short-info"><?php tt_print($slide['options']['description']) ?></p>
						<?php if(!empty($slide['options']['phone']) || !empty($slide['options']['e-mail'])): ?>
							<div class="contact-info">
								<?php if(!empty($slide['options']['phone'])): ?>
									<?php foreach($slide['options']['phone'] as $phone): ?>
										<p><?php _ex('Phone: ','Single Attorney Page','defender') ?><a href="tel:<?php tt_print($phone['number']) ?>"><?php tt_print($phone['number']) ?></a></p>
									<?php endforeach; ?>
								<?php endif; ?>
								<?php if(!empty($slide['options']['e-mail'])): ?>
									<p><?php _ex('E-Mail: ','Single Attorney Page','defender') ?><a href="mailto:<?php tt_print($slide['options']['e-mail']) ?>"><?php tt_print($slide['options']['e-mail']) ?></a></p>
								<?php endif; ?>
							</div>
						<?php endif; ?>
						<a href="<?php the_permalink( ) ?>" class="button theme-button-2"><?php _e('Read more','defender') ?></a>
					</div>
				</div>				
			<?php endforeach ?>
			<?php wp_reset_postdata( ) ?>
		</div>
	</div>
</section>
<?php get_template_part('theme_includes/container','open'); ?>