<?php 
global $post;
$slide = $slides[0];
$post = $slide['post'];
setup_postdata( $post );
$calendar = !empty(get_post_meta($post->ID, THEME_NAME . '_booked_sc', true)) ? get_post_meta($post->ID, THEME_NAME . '_booked_sc', true) : $slide['options']['calendar'];
 ?>
<!-- Main Content -->
<div class="content-wrapper">
	<!-- Agent Info -->
	<section class="agent-info-section">
		<div class="container">
			<h2 class="section-title"><?php tt_print($slide['options']['title']) ?></h2>
			<div class="row">
				<?php if(has_post_thumbnail( )): ?>
					<div class="col-md-16">
						<div class="image">
							<?php the_post_thumbnail('original'); ?>
						</div>
					</div>
				<?php endif; ?>
				<div class="col-md-8 col-lg-7 col-lg-offset-1">
					<div class="attorney no-margin">
						<h4 class="name"><?php the_title( ) ?></h4>
						<?php if(!empty($slide['options']['position'])): ?>
							<p class="job"><?php tt_print($slide['options']['position']) ?></p>
						<?php endif; ?>
						<?php if(!empty($slide['options']['social'])): ?>
							<ul class="social-media">
								<?php foreach($slide['options']['social'] as $social => $url): 
									if(!empty($url)):?>
										<li>
											<a href="<?php tt_print($url) ?>"><i class="fa fa-<?php tt_print($social)?>"></i></a>
										</li>
									<?php endif; ?>
								<?php endforeach; ?>
							</ul>
						<?php endif; ?>
						<?php 
							$post_cats = get_the_terms($slide['post']->ID, 'attorney_tax');
							$post_cat_id = array();
							if($post_cats)
								foreach($post_cats as $category)
									$post_cat_id[ ] .= $category->term_id;
							$related_practice = get_posts(array( 'post_type' 	=> 'practice',
											'tax_query'		=>	array(
												array(
													'taxonomy'	=>	'attorney_tax',
													'terms'		=> $post_cat_id,
												)
											)
										));	?>
						<?php if($related_practice): ?>
							<p class="short-info bold"><span><?php _ex('Practice Areas:','Single Attorney Page','defender') ?></span><br />
								<?php foreach($related_practice as $practive_post):?>
									<a href="<?php echo get_permalink($practive_post->ID);?>"><?php echo get_the_title($practive_post); ?></a><br >
								<?php endforeach; ?></p>
						<?php endif; ?>
						<?php if(!empty($slide['options']['phone']) || !empty($slide['options']['e-mail'])): ?>
							<div class="contact-info">
								<?php if(!empty($slide['options']['phone'])): ?>
									<?php foreach($slide['options']['phone'] as $phone): ?>
										<p><?php _ex('Phone: ','Single Attorney Page','defender') ?><a href="tel:<?php tt_print($phone['number']) ?>"><?php tt_print($phone['number']) ?></a></p>
									<?php endforeach; ?>
								<?php endif; ?>
								<?php if(!empty($slide['options']['e-mail'])): ?>
									<p><?php _ex('E-Mail: ','Single Attorney Page','defender') ?><a href="mailto:<?php tt_print($slide['options']['e-mail']) ?>"><?php tt_print($slide['options']['e-mail']) ?></a></p>
								<?php endif; ?>
							</div>
						<?php endif; ?>
						<?php if(!empty($calendar)): ?>
							<a href="#" class="button theme-button-2 book-appointment"><?php _ex('Book an appointment','Single Attorney Page','defender') ?></a>
						<?php endif ?>
					</div>
				</div>
			</div>

			<div class="agent-info">
				<h2><?php _ex('Description','Single Attorney Page','defender') ?></h2>
				<?php the_content() ?>
				<?php if(!empty($slide['options']['education'])): ?>
					<h2><?php _ex('Education','Single Attorney Page','defender') ?></h2>
					<div class="timeline-box">
						<div class="row row-fit">
							<?php foreach($slide['options']['education'] as $i => $education): ?>									
										<div class="col-md-8 timeline-item-wrapper">
											<div class="timeline-item">
												<span class="item-index"><?php tt_print( ++$i ) ?></span>
												<p class="year"><?php tt_print( $education['year'] ) ?></p>
												<p class="description"><?php tt_print( $education['description'] ) ?></p>
											</div>
										</div>
								<?php if($i % 3 == 0 && $i > 0): ?>
									</div>
									<div class="row row-fit">
								<?php endif; ?>
							<?php endforeach ?>
						</div>
					</div>
				<?php endif; ?>
			</div>
		</div>
		<?php wp_reset_postdata(); ?>
	</section>
	<?php if(_go('attorney_contact') || _go('show_related_attorney')): ?>
		<!-- Contact  -->
		<section class="contact-section has-border no-background">
			<div class="container">
				<div class="row">
					<?php _go('attorney_contact') ?>
						<div class="<?php echo _go('show_related_attorney')? 'col-md-12' : 'col-md-24 col-lg-22 col-lg-offset-2'  ?>">
							<?php tt_form_location('attorney_single') ?>
						</div>
					<?php if(_go('show_related_attorney')): ?>
						<div class="<?php echo _go('attorney_contact')? 'col-md-12 col-lg-11 col-lg-offset-1' : 'col-md-24 col-lg-22 col-lg-offset-2'  ?>">
							<?php if(_go('related_attorney_title')): ?>
								<h2 class="section-title no-align"><?php _eo('related_attorney_title') ?></h2>
							<?php endif; ?>
							<ul class="attorneys-carousel">
								<li class="item">
									<?php foreach($slide['related'] as $nr => $related):
										$related_slides = _go('related_attorney_number')?  _go('related_attorney_number') : 9;
										if($nr >= $related_slides) { break; } 
										$post = $related['post'];
										setup_postdata( $post );?>
										<div class="attorney-small">
											<?php if(has_post_thumbnail( )): ?>
												<div class="image">
													<a href="<?php echo get_permalink( $related['post']->ID); ?>">
														<?php the_post_thumbnail('thumbnail'); ?>
													</a>
												</div>
											<?php endif; ?>
											<div class="card-body">
												<h2><?php the_title( ) ?></h2>								
												<p><?php tt_print($related['options']['position']) ?></p>
												<a href="<?php echo get_permalink( $related['post']->ID); ?>"><?php _ex('View profile','Single Attorney Page','defender') ?></a>
											</div>
										</div>
										<?php if(++$nr % 3 == 0 && $nr > 0 && $nr < $related_slides): ?>
											</li>
											<li>	
										<?php endif; ?>	
									<?php endforeach; ?>
								</li>
							</ul>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</section>
	<?php endif; ?>
</div>