<?php 
$number = !empty($shortcode['nr'])? $shortcode['nr'] : count($slides);
$slides_per_page =$shortcode['slides_per_page'];
$page = 0;
?>
<?php get_template_part('theme_includes/container','close'); ?>
	<!-- Testimonials -->
	<section class="testimonials-section">
		<div class="container">
			<?php if(!empty($shortcode['title'])): ?>
				<h2 class="section-title more-padding"><?php tt_print($shortcode['title']) ?></h2>
			<?php endif ?>
			<?php if(!empty($shortcode['message'])): ?>
				<!--- Featured Testimonial -->
				<div class="testimonial has-margin">
					<p><?php tt_print($shortcode['message']) ?></p>
				</div>
			<?php endif ?>
			<div class="row isotope-container">
				<?php foreach($slides as $i => $slide):
					if($i >= $slides_per_page) { break; } 
					global $post;
					$post = $slide['post'];
					setup_postdata( $post );?>
					<div class="col-xs-12 col-md-8 col-lg-6 isotope-item">
						<div class="testimonial-block">
							<div class="block-header">
								<h2><?php the_title( ) ?></h2>
								<?php if(!empty($slide['options']['position'])): ?>
									<p><?php tt_print($slide['options']['position']) ?></p>
								<?php endif; ?>
								<?php if(has_post_thumbnail( )): ?>
									<div class="image">
										<?php the_post_thumbnail('medium' ); ?>
									</div>
								<?php endif; ?>
							</div>
							<div class="block-body">
								<?php the_content( ) ?>
							</div>
						</div>
					</div>
					<?php wp_reset_postdata( ) ?>
				<?php endforeach ?>
			</div>			
			<?php 
			if($shortcode['nr'] < count($slides)): ?>				
				<!-- Pagination -->
				<ul class="page-numbers align-center" data-slides="<?php tt_print($slides_per_page) ?>" data-category="<?php tt_print($shortcode['category']) ?>">
					<?php for($j = 0; $j < $number; $j+=$slides_per_page): 
						$page++?>
						<li>
							<?php if($j == 0 ): ?>								
								<span class="page-numbers current" style="display: block"><?php tt_print($page) ?></span>
								<a href="#" class="page-numbers" style="display: none"><?php tt_print($page) ?></a>
							<?php else: ?>
								<span class="page-numbers current" style="display: none"><?php tt_print($page) ?></span>
								<a href="#" class="page-numbers"><?php tt_print($page) ?></a>
							<?php endif ?>
						</li>
					<?php endfor; ?>
				</ul>
			<?php endif; ?>
		</div>
	</section>
<?php get_template_part('theme_includes/container','open'); ?>