<?php
/***********************************************************************************************/
/* Custom CSS */
/***********************************************************************************************/

add_action('wp_enqueue_scripts', 'tesla_custom_css', 99);
function tesla_custom_css() {
	wp_enqueue_script('comment-reply');
	$custom_css = _go('custom_css') ? _go('custom_css') : '';
	wp_add_inline_style('tt-main-style', $custom_css);
}

add_action('wp_enqueue_scripts', 'tt_style_changers',99);
function tt_style_changers(){
	$background_color = _go('bg_color') ;
	$background_image = _go('bg_image') ;
	if($background_image || $background_color)
		wp_add_inline_style('tt-main-style', "body{background-color: $background_color; background-image: url('$background_image')}");

	$colopickers_css = '';
	if (_go('site_color_2')):
		$lighter_color = adjustBrightness(_go('site_color_2'), 100);
		$colopickers_css .= '
		.contact-form .input-line:focus, .contact-form .input-line.has-value,
		.hero-section .search-form .search-input:focus,
		.hero-section .search-form .search-input.has-value,
		.statistics-item .icon,
		.sidebar .widget.widget_search .search-form .input-line:focus,
		.sidebar .widget.widget_search .search-form .input-line.has-value {
		  border-color: ' . _go('site_color_2') . ';
		}
		.button.theme-button-1,
		.attorney-small .card-body:hover {
		  background-color: ' . _go('site_color_2') . ';
		  border-color: ' . _go('site_color_2') . ';
		}
		#preloader .progress-bar-wrapper .actual-progress,
		.history-box .history-item:before,
		.button.theme-button-3:hover,
		.custom-blockquote,
		.simple-theme-banner .banner-block.has-background-color,
		.simple-theme-banner .banner-block.has-background-color:before,
		.sidebar .widget .widget-title:before,
		.sidebar .widget.widget_tag_cloud .tagcloud a:hover,
		.main-slider .content-wrapper .image-wrapper .image .img-bg {
		  background-color: ' . _go('site_color_2') . ';
		}
		header .contact-block .search-form .search-button:focus + .icon,
		header .contact-block .search-form .search-button:active + .icon,
		header .contact-block .search-form .search-button:hover + .icon,
		header .navigation nav ul li.menu-item-has-children .sub-menu li a:hover,
		header .navigation nav ul li a:hover,
		header .navigation nav ul li.current-menu-item a,
		footer .footer-widgets .footer-widget p a:hover,
		footer .footer-widgets .footer-widget.widget_categories ul li a:hover,
		footer .copyrights p a:hover,
		.comments-area .commments-list .comment .comment-reply-link:hover,
		.button.theme-button-1:hover,
		.button.theme-button-2:hover,
		.showcase-section .bg-wrapper .icon,
		.contact-section .promo-message span,
		.hero-section .search-form .search-input,
		.hero-section .search-form .search-submit:hover + .icon,
		.blog-section .share-block li .fa:hover,
		.statistics-item p,
		.preview-box .preview-items-wrapper .preview-item .title,
		.history-box .history-item .caption span,
		.attorney .social-media li i,
		.attorney .contact-info p,
		.attorney-small .card-body a,
		.agent-info h2,
		.news-item .news-item-header p span,
		.practice-item .news-item-header p span,
		.simple-accordion .panel-group .panel .panel-heading .panel-title.active a,
		.simple-accordion .panel-group .panel .panel-heading .panel-title a:hover,
		.testimonials-tabs .heading li .client .name,
		.testimonial-block .block-header h2,
		.page-numbers li a.current,
		.page-numbers li span.current,
		.page-numbers li a.next:hover,
		.page-numbers li a.prev:hover,
		.page-numbers li span.next:hover,
		.page-numbers li span.prev:hover,
		.contact-info-block .info-block p span,
		.contact-info-block .social-block li i,
		.blog-post .post-header .meta span,
		.sidebar .widget.widget_search .search-form .search-button:hover + .icon,
		.timeline-box .timeline-item .year,
		.main-slider .content-wrapper .text-block p,
		.sidebar .widget.widget_recent_posts .recent-post .meta span,
		.sidebar .widget:not(.widget_recent_posts):not(.widget_tag_cloud) ul li a:hover:before,
		.sidebar .widget:not(.widget_recent_posts):not(.widget_tag_cloud) ul li a:hover {
		  color: ' . _go('site_color_2') . ';
		}
		.timeline-box .timeline-item .item-index {
		  color: ' . _go('site_color_2') . ';
		  border-color: ' . _go('site_color_2') . ';
		}';
	endif;
	if (_go('site_color')) : 
		$lighter_color = adjustBrightness(_go('site_color'), 50);
		$lighter_color_2 = adjustBrightness(_go('site_color'), 100);
		$colopickers_css .= '
		.partners-carousels .owl-controls .owl-buttons div .fa:hover,
		.testimonials-tabs .heading .owl-controls .owl-pagination .owl-page.active,
		.attorneys-carousel .owl-controls .owl-pagination .owl-page.active {
		  background-color: ' . _go('site_color') . ';
		}

		.attorney-small .card-body,
		.button.theme-button-2,
		.testimonial-block,
		.page-numbers li a,
		.page-numbers li span {
		  border-color: ' . $lighter_color . ';
		}
		.partners-carousels .owl-controls .owl-buttons div .fa,
		.button.theme-button-2:hover,
		.hero-section,
		.blog-section.sidebar-left .blog-content:before,
		.statistics-item .nr:after,
		.practice-item .practice-item-header h2:after,
		.testimonials-tabs .heading .owl-controls .owl-pagination .owl-page,
		.testimonial p:after,
		.attorneys-carousel .owl-controls .owl-pagination .owl-page,
		.contact-info-block .heading,
		.timeline-box .timeline-item .item-index:after {
			background-color: ' . $lighter_color . ';
		}
		.simple-accordion .panel-group .panel:last-of-type,
		.attorney .social-media,
		.contact-info-block .info-block,
		.testimonial-block .block-header {
			border-bottom-color: ' . $lighter_color . ';
		}
		.timeline-box .timeline-item,
		.attorney .contact-info,
		.simple-accordion .panel-group .panel .panel-heading {
		  border-top-color: ' . $lighter_color . ';
		}
		.blog-post .post-thumbnail:before, .blog-post .post-cover.has-type:before {
		  border-bottom-color: ' . $lighter_color . ';
		  border-right-color: ' . $lighter_color . ';
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 1200px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (min-width: 1200px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 1200px) and (min-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 1200px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) and (min-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		}
		@media (min-width: 992px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		  .timeline-box .row:nth-child(odd) [class*="col-"]:last-of-type .timeline-item {
		    border-right-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content:after {
		    background-color: ' . $lighter_color . ';
		  }
		  .timeline-box .row:nth-child(odd) [class*="col-"]:last-of-type .timeline-item {
		    border-right-color: ' . $lighter_color . ';
		  }
		}
		.sidebar .widget.widget_search .search-form .input-line,
		.contact-form .input-line {
		  border-color: ' . $lighter_color . ';
		}
		header .contact-block,
		.sidebar .widget.widget_search .search-form .input-line,
		.comments-area .commments-list,
		.sidebar .widget .widget-title,
		.blog-post .post-body.has-border {
		  border-bottom-color: ' . $lighter_color . ';
		}
		.comments-area .commments-list .comment > .commments-list {
		  border-top-color: ' . $lighter_color . ';
		}
		header:not(.no-border) {
		  -webkit-box-shadow: 0px 1px 0px 0px ' . $lighter_color . ';
		  -moz-box-shadow: 0px 1px 0px 0px ' . $lighter_color . ';
		  box-shadow: 0px 1px 0px 0px ' . $lighter_color . ';
		}
		header .contact-block .search-form .input-line {
		  border-left-color: ' . $lighter_color . ';
		}
		.contact-info-block .info-block .icon {
		  color: ' . $lighter_color . ';
		}
		.sidebar .widget:not(.widget_recent_posts):not(.widget_tag_cloud) ul li a:before{
		  color: ' . $lighter_color . ';
		}
		.contact-form .input-line,
		.sidebar .widget.widget_search .search-form .input-line {
		  border-color: ' . $lighter_color . ';
		}
		.comments-area .commments-list,
		header .contact-block,
		.blog-post .post-body.has-border,
		.sidebar .widget .widget-title {
		  border-bottom-color: ' . $lighter_color . ';
		}
		.comments-area .commments-list .comment > .commments-list {
		  border-top-color: ' . $lighter_color . ';
		}
		header:not(.no-border) {
		  -webkit-box-shadow: 0px 1px 0px 0px ' . $lighter_color . ';
		  -moz-box-shadow: 0px 1px 0px 0px ' . $lighter_color . ';
		  box-shadow: 0px 1px 0px 0px ' . $lighter_color . ';
		}
		header .contact-block .search-form .input-line {
		  border-left-color: ' . $lighter_color . ';
		}
		.contact-info-block .info-block .icon {
		  color: ' . $lighter_color . ';
		}
		.latest-news-section .row,
		.blog-section .blog-content .related-news-wrapper .related-news {
		  border-top-color: ' . $lighter_color . ';
		  border-left-color: ' . $lighter_color . ';
		}
		.blog-section .blog-content .blog-content-header,
		.blog-section .blog-content .blog-content-header:before {
		  border-bottom-color: ' . $lighter_color . ';
		}
		.news-item, .practice-item {
		  border-bottom-color: ' . $lighter_color . ';
		  border-right-color: ' . $lighter_color . ';
		}
		.practice-item {
		  border-color: ' . $lighter_color . ';
		}
		.blog-post .post-thumbnail:before,
		.blog-post .post-cover.has-type:before {
		  background-color: ' . $lighter_color . ';
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 1200px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (min-width: 1200px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 1200px) and (min-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 1200px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) and (min-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (min-width: 992px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		@media (max-width: 768px) {
		  .blog-section .blog-content .blog-content-header:after {
		    border-bottom-color: ' . $lighter_color . ';
		  }
		}
		.page-numbers li a.current, .page-numbers li span.current,
		.testimonial-block .block-header,
		.blog-section .blog-content,
		.blog-section .blog-content:before,
		.partners-section,
		.panel,
		.latest-news-section{
			background-color: ' . $lighter_color_2 . ';
		}
		

		';
	endif;
	if (_go('site_color_3')) : 
		$lighter_color = adjustBrightness(_go('site_color_3'), 150);
		$colopickers_css .= '
		footer .copyrights,
		.preview-box{
			background-color: ' . _go('site_color_3') . ';
		}
		';
	endif;

	wp_add_inline_style('tt-main-style', $colopickers_css);

	//Custom Fonts Changers
	wp_add_inline_style('tt-main-style', tt_text_css('main_content_text','h1,h2,h3,.statistics-item .nr, .section-title, .showcase-section .bg-wrapper h1, .attorney .name, .news-item .news-item-header .title, .practice-item .news-item-header .title, .contact-section .promo-message h1, header .navigation nav ul li a, .blog-post .post-header .title, .sidebar .widget .widget-title, .contact-form h4, .comments-area h4, .simple-theme-banner .banner-block h4, .practice-item .practice-item-header h2, footer .footer-widgets .footer-widget .widget-caption, .attorney-small .card-body h2 ','px'));
	wp_add_inline_style('tt-main-style', tt_text_css('sidebar_text','h4,h5,h6,.history-box .history-item .caption, .attorney .job, .attorney .contact-info p a, .button.theme-button-2, .news-item .news-item-header p, .practice-item .news-item-header p, .simple-accordion .panel-group .panel .panel-heading .panel-title, .testimonial p, .contact-section .promo-message p, .comments-area .commments-list .comment .user a, .comments-area .commments-list .comment .comment-reply-link, .contact-info-block .heading p,.contact-info-block .info-block p, .blog-section .blog-content .blog-content-header .tagline, .sidebar .widget.widget_recent_posts .recent-post h4, footer .footer-widgets .footer-widget.widget_categories ul li a, footer .footer-widgets .footer-widget p, footer .footer-widgets .footer-widget .blog-excerpt p, .attorney-small .card-body p','px'));
	wp_add_inline_style('tt-main-style', tt_text_css('menu_text','p,.preview-box .preview-items-wrapper .preview-item p, .about-section p, .history-box .history-item p, .attorney .short-info, .news-item .news-item-body p, .practice-item .news-item-body p, .news-item .news-item-body .comments, .practice-item .news-item-body .comments, .simple-accordion .panel-group .panel .panel-collapse .panel-body p, .testimonials-tabs .heading li .client .job, .blog-post .post-body p, .blog-post .post-header .meta, .blog-post .post-header .comments, .sidebar .widget:not(.widget_recent_posts):not(.widget_tag_cloud) ul li a, .comments-area .commments-list .comment .message, .hero-section p, .practice-item .practice-item-body p, .testimonial-block .block-header p, .testimonial-block .block-body p, .agent-info p, .timeline-box .timeline-item .description, .blog-section .blog-content .blog-content-header p, .sidebar .widget.widget_recent_posts .recent-post .meta','px'));
};?>