<?php
 // WIDGET Practice
 class widget_attorneys extends WP_Widget {
 
	function __construct() {
		parent::__construct(
				'widget-attorneys',
				'['.THEME_PRETTY_NAME.'] Attorneys',
				array(
					'description' => __('Show your selected attorneys. Only for footer sidebar', 'defender'),
					'classname' => 'widget_attorneys',
				)
		);
	}
 
	function widget($args, $instance){
		extract($args);
		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
		$attorneys = $instance['attorneys'];
		$attorneys = explode(";", $attorneys);
		$attorneys_nr = count($attorneys);
		print $before_widget;
		if(!empty($title)){
			print $before_title . $title . $after_title;
		}
		$query_l = new WP_QUERY(array( 'post_type' => 'attorney', 'post__in' => $attorneys ));  //Get Attorneys
		$slide = 0;
		if($query_l->have_posts( )): ?>
			<ul class="attorneys-carousel">
				<li class="item">
					<?php while($query_l->have_posts( )): $query_l->the_post( ); 
						$att_meta = get_post_meta( get_the_id( ), 'slide_options', true );?>
						<div class="attorney-small">
							<?php if(has_post_thumbnail( )): ?>
								<div class="image">
									<a href="<?php the_permalink( ) ?>">
										<?php the_post_thumbnail('thumbnail'); ?>
									</a>
								</div>
							<?php endif; ?>
							<div class="card-body">
								<a href="<?php the_permalink( ) ?>"><h2><?php the_title( ) ?></h2></a>
								<p><?php tt_print($att_meta['position']) ?></p>
							</div>
						</div>
						<?php if(++$slide % 2 == 0 && $slide > 0 && $slide < $attorneys_nr): ?>
							</li>
							<li>
						<?php endif; ?>	
					<?php endwhile ?>
				</li>
			</ul>
		<?php endif ?>
		<?php print $after_widget;
		wp_reset_query();
	}

	function update($newInstance, $oldInstance){
		$instance = $oldInstance;
		$instance['title'] = strip_tags($newInstance['title']);
		$instance['attorneys'] = $newInstance['attorneys'];
			return $instance;
	}
 
	function form($instance){
		empty($instance['title'])? $instance['title'] = '': $instance['title'] = $instance['title'];
		echo '<p><label  for="'.$this->get_field_id('title').'">' . __('Title:','defender') . '  <input id="'.$this->get_field_id('title').'"  name="'.$this->get_field_name('title').'" type="text"  value="'.$instance['title'].'" class="widefat" /></label></p>';
		empty($instance['attorneys'])? $instance['attorneys'] = '': $instance['attorneys'] = $instance['attorneys'];
		echo '<p><label  for="'.$this->get_field_id('attorneys').'">' . __('Attorney\'s ID separated by ";":',  'defender') . ' <input id="'.$this->get_field_id('attorneys').'"  name="'.$this->get_field_name('attorneys').'" type="text"  value="'.$instance['attorneys'].'" class="widefat" /></label></p>';
		echo '<input type="hidden" id="custom_recent" name="custom_recent" value="1" />';
	}
}
 
add_action('widgets_init', create_function('', 'return register_widget("widget_attorneys");')); ?>