<?php
class Tesla_contact_widget extends WP_Widget {

	function __construct() {
		parent::__construct(
				'tesla_contact_widget',
				'['.THEME_PRETTY_NAME.'] Contact Form',
				array(
					'description' => __('Displays a contact info. Use only in footer area', 'defender'),
					'classname' => 'tesla_contact_widget',
				)
		);
	}

	function widget($args, $instance) {
		extract($args);
		 $title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
		$options = array($instance['option_1'],$instance['option_2']);
		print $before_widget;
		if (!empty($title))
			print $before_title . $title . $after_title; ?>
				<?php foreach($options as $option):?>
					<?php switch ($option) {
						case 'office_phone':
							$name = "Phone";
							break;
						case 'e-mail':
							$name = "E-mail";
							break;
						case 'contact_address':
							$name = "Address";
							break;
						case 'working_hours':
							$name = "Working hours";
							break;
					} ?>
					<h2 class="widget-caption"><?php tt_print($name) ?></h2>
					<?php if($option == 'office_phone' || $option == 'e-mail'): ?>
						<?php $item = _go_repeated($name); ?>
						<div class="widget-body">
							<?php foreach ($item as $value): ?>
								<p><?php tt_print($value[$option]) ?></p>
							<?php endforeach ?>
						</div>
					<?php else: ?>
						<div class="widget-body">
							<p><?php _eo($option) ?></p>
						</div>
					<?php endif; ?>
				<?php endforeach; ?>
		
		<?php print $after_widget;
	}

	function update($new_instance, $old_instance) {
		$instance = array();
		$instance['title'] = $new_instance['title'];
		$instance['option_1'] = $new_instance['option_1'];
		$instance['option_2'] = $new_instance['option_2'];
		return $instance;
	}

	function form($instance) {
		$instance = wp_parse_args((array) $instance, array('title' => ''));
		$title = esc_attr($instance['title']);
		empty($instance['option_1'])? $instance['option_1'] = '': $instance['option_1'] = $instance['option_1'];
		empty($instance['option_2'])? $instance['option_2'] = '': $instance['option_2'] = $instance['option_2'];	
		$options = array('Phone number'=>'office_phone','E-mail'=>'e-mail','Address'=>'contact_address','Working hours'=>'working_hours');?>		
		<p><?php _ex('Select what to display','Dashboard->Appearance->Widgets','defender') ?></p>		
		<?php echo '<p style="text-align:right;"><label  for="'.$this->get_field_id('title').'">' . __('Title:','defender') . '  <input style="width: 200px;" id="'.$this->get_field_id('title').'"  name="'.$this->get_field_name('title').'" type="text"  value="'.$instance['title'].'" /></label></p>' ?>
		<select class="widefat" id="<?php print $this->get_field_id('option_1') ?>" name="<?php print $this->get_field_name('option_1'); ?>">
			<?php foreach($options as $option=>$key): ?>				
				<option value="<?php echo esc_attr( $key ); ?>" <?php if($key == esc_attr($instance['option_1'])) {echo 'selected';} ?>><?php echo esc_attr(strtoupper($option) ) ?></option>
			<?php endforeach; ?>
		</select>
		<p><?php _ex('Select what to display','Dashboard->Appearance->Widgets','defender') ?></p>				
		<select class="widefat" name="<?php print $this->get_field_name('option_2'); ?>">
			<?php foreach($options as $option=>$key):?>
				<option value="<?php echo esc_attr( $key ); ?>" <?php if($key == esc_attr($instance['option_2'])) {echo 'selected';} ?>><?php echo esc_attr(strtoupper($option) ) ?></option>
			<?php endforeach; ?>
		</select>
		<p></p>
		<?php
	}
}

add_action('widgets_init', create_function('', 'return register_widget("Tesla_contact_widget");'));