<?php
 // POPULAR POST WIDGET
 class widget_latest_posts extends WP_Widget {
 
	function __construct() {
		parent::__construct(
				'widget-latest-posts',
				'['.THEME_PRETTY_NAME.'] Latest Posts',
				array(
					'description' => __('Show your latest posts.', 'defender'),
					'classname' => 'widget_recent_posts',
				)
		);
	}
 
	function widget($args, $instance){
		extract($args);
		$widget_id = $args['id'];
		 $title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
		if(!empty($instance['posts'])):
			$postscount = $instance['posts'];
		else:
			$postscount = 3;
		endif;


	print $before_widget;
		if(!empty($title)){
			print $before_title . $title . $after_title;
		}
		$query_l = new WP_QUERY(array( 'orderby' => 'DSC', 'posts_per_page' => $postscount ,'ignore_sticky_posts'=>true, 'post_type'   => 'post', 'post_status' => 'publish')); 						//Get Latest Posts
		?>					
		
		<!-- === Start Post Feed === -->
		<?php if ( $query_l->have_posts() ) :?>	
			<?php if($widget_id == 'blog'): ?>
				<ul>
					<?php while( $query_l->have_posts() ): $query_l->the_post();
						$no_image = '';
						has_post_thumbnail()? '': $no_image = 'no-image'; ?>
						<li class="recent-post <?php echo esc_attr( $no_image ); ?>">
							<?php if ( has_post_thumbnail() ) : // check if the post has a Post Thumbnail assigned to it.
							$thumb = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'medium' );
							$url = $thumb['0']; ?>
								<div class="image">
									<a href="single-post.html">
										<img src="<?php echo esc_attr( $url ); ?>" alt="recent post cover" />
									</a>
								</div>
							<?php endif; ?>
							<h4><a href="<?php the_permalink( ) ?>"><?php tt_title_max_charlength(50) ?></a></h4>
							<p class="meta"><span><?php the_time(get_option('time_formats','M j / ') ) ?></span><?php _ex('Posted by ','Blog Archive','defender') ?><a href="<?php echo get_the_author_link(); ?>"><?php the_author( ); ?></a></p>
						</li>
					<?php endwhile; ?>
				</ul>
			<?php else: ?>
				<div class="widget-body">
					<?php while( $query_l->have_posts() ): $query_l->the_post();?>
						<div class="blog-excerpt">
							<p><a href="<?php the_permalink( ) ?>"><?php tt_title_max_charlength(50) ?></a></p>
						</div>
					<?php endwhile; ?>
				</div>
			<?php endif; ?>
		<?php endif; ?>
	<?php print $after_widget;
	wp_reset_query();
	}

	function update($newInstance, $oldInstance){
		$instance = $oldInstance;
		$instance['title'] = strip_tags($newInstance['title']);
		$instance['posts'] = $newInstance['posts'];
			return $instance;
	}
 
	function form($instance){
		empty($instance['title'])? $instance['title'] = '': $instance['title'] = $instance['title'];
		echo '<p style="text-align:right;"><label  for="'.$this->get_field_id('title').'">' . __('Title:','defender') . '  <input style="width: 200px;" id="'.$this->get_field_id('title').'"  name="'.$this->get_field_name('title').'" type="text"  value="'.$instance['title'].'" /></label></p>';
		empty($instance['posts'])? $instance['posts'] = '': $instance['posts'] = $instance['posts'];
		echo '<p style="text-align:right;"><label  for="'.$this->get_field_id('posts').'">' . __('Number of Posts:',  'defender') . ' <input style="width: 50px;"  id="'.$this->get_field_id('posts').'"  name="'.$this->get_field_name('posts').'" type="text"  value="'.$instance['posts'].'" /></label></p>';
		echo '<input type="hidden" id="custom_recent" name="custom_recent" value="1" />';
	}
}
 
add_action('widgets_init', create_function('', 'return register_widget("widget_latest_posts");')); ?>